#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0x5452067f, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0x78b1ee17, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ae628a3, "const_pcpu_hot" },
	{ 0x612e3b4b, "usb_submit_urb" },
	{ 0x75257b76, "_dev_info" },
	{ 0x4e3a2d92, "usb_queue_reset_device" },
	{ 0xf1011488, "hid_alloc_report_buf" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x13fe0ba7, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x904da8db, "usb_free_coherent" },
	{ 0x67baa1d, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7ef00ff5, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0xba39676c, "hid_hw_request" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x80f52c20, "hid_hw_open" },
	{ 0x8b0caea3, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2f4936b4, "usb_register_dev" },
	{ 0x71373856, "hid_check_keys_pressed" },
	{ 0x9c3ade75, "fasync_helper" },
	{ 0xec4726ea, "usb_unpoison_urb" },
	{ 0x18edd279, "usb_autopm_put_interface_async" },
	{ 0xc59e5a98, "hid_hw_close" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xbfade244, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x97217a36, "usb_string" },
	{ 0xfb578fc5, "memset" },
	{ 0xd2dd38d8, "_dev_warn" },
	{ 0x8c27ad0, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdcfc3ab4, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd2016a8c, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe29f0b6b, "usb_unlink_urb" },
	{ 0xed0aa1e6, "_dev_notice" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xaa7b6857, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x31ea807b, "input_ff_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0x86582d4e, "usb_deregister_dev" },
	{ 0xc471cf81, "usb_kill_urb" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6099200c, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x754d539c, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd36760ef, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3492ec3a, "__dev_fwnode" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0x31bdd6a0, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x305d04f2, "hid_output_report" },
	{ 0xb202f954, "hid_lookup_quirk" },
	{ 0x84f48e09, "usb_alloc_urb" },
	{ 0x1b9dc252, "device_set_wakeup_enable" },
	{ 0xea4b120b, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb330a8d4, "usb_free_urb" },
	{ 0xc15c3943, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd054e90e, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa8414c10, "hid_driver_suspend" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb39abaf5, "kill_fasync" },
	{ 0xdce73757, "usb_register_driver" },
	{ 0x51e7a928, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0x75310981, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1333ac36, "hidinput_count_leds" },
	{ 0x879b04bb, "usb_autopm_put_interface_no_suspend" },
	{ 0x935fccc0, "hid_driver_resume" },
	{ 0xdc650fcf, "usb_autopm_get_interface_no_resume" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4b9c163d, "hid_allocate_device" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x10613f87, "hid_destroy_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf42af842, "usb_interrupt_msg" },
	{ 0xed053445, "usb_find_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbcb4092d, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xd7396225, "usb_clear_halt" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x507297fa, "usb_autopm_get_interface_async" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "F23B61DA446C27958916F39");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
