#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0x3ed4bc02, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0xf2ba5ca5, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0x81020464, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0xffe33f11, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf08ed850, "__pm_runtime_disable" },
	{ 0x1de7bce3, "__pm_runtime_set_status" },
	{ 0xaa215b02, "iio_trigger_unregister" },
	{ 0x248f721d, "iio_triggered_buffer_cleanup" },
	{ 0x2071c8af, "regulator_bulk_disable" },
	{ 0xcd4e3d62, "devm_iio_device_alloc" },
	{ 0xbf50fb6a, "is_acpi_device_node" },
	{ 0xf708dd55, "iio_read_mount_matrix" },
	{ 0x462a887b, "devm_regulator_bulk_get" },
	{ 0xa0181f94, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6c6e47ae, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x23b66820, "iio_read_acpi_mount_matrix" },
	{ 0xf186d955, "dev_err_probe" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xf37d65ae, "iio_triggered_buffer_setup_ext" },
	{ 0x3a02ba15, "devm_request_threaded_irq" },
	{ 0x6295c902, "iio_device_id" },
	{ 0x88f8df6e, "__devm_iio_trigger_alloc" },
	{ 0xd9a43707, "iio_trigger_register" },
	{ 0xa6572fcb, "pm_runtime_enable" },
	{ 0x58ed0b79, "pm_runtime_set_autosuspend_delay" },
	{ 0xfb1a6b6, "__pm_runtime_use_autosuspend" },
	{ 0xc6d82f28, "__iio_device_register" },
	{ 0x3492ec3a, "__dev_fwnode" },
	{ 0xe8b315b2, "fwnode_irq_get_byname" },
	{ 0x601b3e6a, "iio_read_const_attr" },
	{ 0xcbcfbcb2, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x40dc6849, "regmap_write" },
	{ 0xcc35d599, "regmap_get_device" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2e57be05, "iio_get_time_ns" },
	{ 0xb8742aca, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4ab6deb3, "regmap_update_bits_base" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4b97b43c, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf852a2c7, "__pm_runtime_suspend" },
	{ 0x81e115b0, "regmap_read" },
	{ 0xfffd3908, "iio_buffer_enabled" },
	{ 0xdbd9e3f0, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xddfd15ad, "iio_device_get_current_mode" },
	{ 0x873df54e, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x37d2123d, "iio_push_to_buffers" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x68991249, "iio_push_event" },
	{ 0x3cf33758, "iio_trigger_notify_done" },
	{ 0xa26552e9, "iio_device_unregister" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "5D01F7D683BD022960F2DB7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
