#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd4e3d62, "devm_iio_device_alloc" },
	{ 0x721cd5cb, "devm_regulator_bulk_get_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3a02ba15, "devm_request_threaded_irq" },
	{ 0x6295c902, "iio_device_id" },
	{ 0x88f8df6e, "__devm_iio_trigger_alloc" },
	{ 0xd9a43707, "iio_trigger_register" },
	{ 0x71dc5846, "get_device" },
	{ 0x8b3566dc, "__module_get" },
	{ 0xf186d955, "dev_err_probe" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xf37d65ae, "iio_triggered_buffer_setup_ext" },
	{ 0xa6572fcb, "pm_runtime_enable" },
	{ 0x58ed0b79, "pm_runtime_set_autosuspend_delay" },
	{ 0xfb1a6b6, "__pm_runtime_use_autosuspend" },
	{ 0xc6d82f28, "__iio_device_register" },
	{ 0x23b66820, "iio_read_acpi_mount_matrix" },
	{ 0xf708dd55, "iio_read_mount_matrix" },
	{ 0xbf50fb6a, "is_acpi_device_node" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc422684, "iio_get_acpi_device_name_and_data" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfffd3908, "iio_buffer_enabled" },
	{ 0x6acca558, "i2c_smbus_read_word_data" },
	{ 0x7a2cfdc5, "i2c_smbus_read_i2c_block_data_or_emulated" },
	{ 0x37d2123d, "iio_push_to_buffers" },
	{ 0x3cf33758, "iio_trigger_notify_done" },
	{ 0xcbcfbcb2, "iio_show_mount_matrix" },
	{ 0x601b3e6a, "iio_read_const_attr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbf17ccf6, "i2c_register_driver" },
	{ 0x5891c6bf, "i2c_smbus_read_byte_data" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x50d02a6f, "i2c_smbus_write_byte_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa26552e9, "iio_device_unregister" },
	{ 0xf08ed850, "__pm_runtime_disable" },
	{ 0x1de7bce3, "__pm_runtime_set_status" },
	{ 0x248f721d, "iio_triggered_buffer_cleanup" },
	{ 0xaa215b02, "iio_trigger_unregister" },
	{ 0x4b97b43c, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf852a2c7, "__pm_runtime_suspend" },
	{ 0x68991249, "iio_push_event" },
	{ 0x2e57be05, "iio_get_time_ns" },
	{ 0xb8742aca, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x185c6433, "i2c_del_driver" },
	{ 0xf8b3560, "i2c_client_get_device_id" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");

MODULE_ALIAS("acpi*:KIOX0008:*");
MODULE_ALIAS("acpi*:KIOX0009:*");
MODULE_ALIAS("acpi*:KIOX000A:*");
MODULE_ALIAS("acpi*:KIOX010A:*");
MODULE_ALIAS("acpi*:KIOX020A:*");
MODULE_ALIAS("acpi*:KXCJ1008:*");
MODULE_ALIAS("acpi*:KXCJ1013:*");
MODULE_ALIAS("acpi*:KXCJ9000:*");
MODULE_ALIAS("acpi*:KXJ2109:*");
MODULE_ALIAS("acpi*:KXTJ1009:*");
MODULE_ALIAS("acpi*:SMO8500:*");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013C*");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9C*");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025C*");
MODULE_ALIAS("i2c:kxcjk1013");
MODULE_ALIAS("i2c:kxcj91008");
MODULE_ALIAS("i2c:kxtj21009");
MODULE_ALIAS("i2c:kxtf9");
MODULE_ALIAS("i2c:kx023-1025");

MODULE_INFO(srcversion, "85D679FB78B6C8111046BDE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
