#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(iio_bus_type, "", "");
KSYMTAB_FUNC(iio_device_id, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_enabled, "_gpl", "");
KSYMTAB_FUNC(iio_get_debugfs_dentry, "_gpl", "");
KSYMTAB_FUNC(iio_read_const_attr, "", "");
KSYMTAB_FUNC(iio_device_set_clock, "", "");
KSYMTAB_FUNC(iio_device_get_clock, "", "");
KSYMTAB_FUNC(iio_get_time_ns, "", "");
KSYMTAB_FUNC(iio_enum_available_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_write, "_gpl", "");
KSYMTAB_FUNC(iio_show_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_read_mount_matrix, "", "");
KSYMTAB_FUNC(iio_format_value, "_gpl", "");
KSYMTAB_FUNC(iio_str_to_fixpoint, "_gpl", "");
KSYMTAB_FUNC(iio_device_alloc, "", "");
KSYMTAB_FUNC(iio_device_free, "", "");
KSYMTAB_FUNC(devm_iio_device_alloc, "_gpl", "");
KSYMTAB_FUNC(iio_active_scan_mask_index, "_gpl", "");
KSYMTAB_FUNC(__iio_device_register, "", "");
KSYMTAB_FUNC(iio_device_unregister, "", "");
KSYMTAB_FUNC(__devm_iio_device_register, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_get_current_mode, "_gpl", "");
KSYMTAB_FUNC(iio_push_event, "", "");
KSYMTAB_FUNC(iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(iio_map_array_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(devm_fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release_all, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_average_raw, "_gpl", "");
KSYMTAB_FUNC(iio_convert_raw_to_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_offset, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_max_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_min_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_type, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_ext_info_count, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_label, "_gpl", "");
KSYMTAB_FUNC(iio_pop_from_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_init, "", "");
KSYMTAB_FUNC(iio_update_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_signal_dmabuf_done, "_gpl", "");
KSYMTAB_FUNC(iio_validate_scan_mask_onehot, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers_with_ts_unaligned, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_get, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_put, "_gpl", "");
KSYMTAB_FUNC(iio_device_attach_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_register, "", "");
KSYMTAB_FUNC(iio_trigger_unregister, "", "");
KSYMTAB_FUNC(iio_trigger_set_immutable, "", "");
KSYMTAB_FUNC(iio_trigger_poll, "", "");
KSYMTAB_FUNC(iio_trigger_generic_data_rdy_poll, "", "");
KSYMTAB_FUNC(iio_trigger_poll_nested, "", "");
KSYMTAB_FUNC(iio_trigger_notify_done, "", "");
KSYMTAB_FUNC(iio_pollfunc_store_time, "", "");
KSYMTAB_FUNC(iio_alloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(iio_dealloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(__iio_trigger_alloc, "", "");
KSYMTAB_FUNC(iio_trigger_free, "", "");
KSYMTAB_FUNC(__devm_iio_trigger_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_iio_trigger_register, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_using_own, "", "");
KSYMTAB_FUNC(iio_validate_own_trigger, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_validate_own_device, "", "");
KSYMTAB_FUNC(iio_device_suspend_triggering, "", "");
KSYMTAB_FUNC(iio_device_resume_triggering, "", "");
KSYMTAB_FUNC(iio_read_acpi_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_get_acpi_device_name_and_data, "_gpl", "");

SYMBOL_CRC(iio_bus_type, 0xcba6cc69, "");
SYMBOL_CRC(iio_device_id, 0x6295c902, "_gpl");
SYMBOL_CRC(iio_buffer_enabled, 0xfffd3908, "_gpl");
SYMBOL_CRC(iio_get_debugfs_dentry, 0xde595d13, "_gpl");
SYMBOL_CRC(iio_read_const_attr, 0x601b3e6a, "");
SYMBOL_CRC(iio_device_set_clock, 0x13a185a3, "");
SYMBOL_CRC(iio_device_get_clock, 0xd438eb55, "");
SYMBOL_CRC(iio_get_time_ns, 0x2e57be05, "");
SYMBOL_CRC(iio_enum_available_read, 0x3256fbeb, "_gpl");
SYMBOL_CRC(iio_enum_read, 0x76021ba3, "_gpl");
SYMBOL_CRC(iio_enum_write, 0x8b09d89e, "_gpl");
SYMBOL_CRC(iio_show_mount_matrix, 0xcbcfbcb2, "_gpl");
SYMBOL_CRC(iio_read_mount_matrix, 0xf708dd55, "");
SYMBOL_CRC(iio_format_value, 0x4dce7dd4, "_gpl");
SYMBOL_CRC(iio_str_to_fixpoint, 0x26f6b499, "_gpl");
SYMBOL_CRC(iio_device_alloc, 0x58988cde, "");
SYMBOL_CRC(iio_device_free, 0x84b62be3, "");
SYMBOL_CRC(devm_iio_device_alloc, 0xcd4e3d62, "_gpl");
SYMBOL_CRC(iio_active_scan_mask_index, 0x502a58bf, "_gpl");
SYMBOL_CRC(__iio_device_register, 0xc6d82f28, "");
SYMBOL_CRC(iio_device_unregister, 0xa26552e9, "");
SYMBOL_CRC(__devm_iio_device_register, 0x8e44392f, "_gpl");
SYMBOL_CRC(iio_device_claim_direct_mode, 0x1d6d3917, "_gpl");
SYMBOL_CRC(iio_device_release_direct_mode, 0x60b787c2, "_gpl");
SYMBOL_CRC(iio_device_claim_buffer_mode, 0x0a005403, "_gpl");
SYMBOL_CRC(iio_device_release_buffer_mode, 0x77daead6, "_gpl");
SYMBOL_CRC(iio_device_get_current_mode, 0xddfd15ad, "_gpl");
SYMBOL_CRC(iio_push_event, 0x68991249, "");
SYMBOL_CRC(iio_map_array_register, 0xb9364956, "_gpl");
SYMBOL_CRC(iio_map_array_unregister, 0x88a74a34, "_gpl");
SYMBOL_CRC(devm_iio_map_array_register, 0xa62b9cb2, "_gpl");
SYMBOL_CRC(fwnode_iio_channel_get_by_name, 0x59620822, "_gpl");
SYMBOL_CRC(iio_channel_get, 0x44008944, "_gpl");
SYMBOL_CRC(iio_channel_release, 0x2f8e4b95, "_gpl");
SYMBOL_CRC(devm_iio_channel_get, 0xf2cba040, "_gpl");
SYMBOL_CRC(devm_fwnode_iio_channel_get_by_name, 0x97b396a7, "_gpl");
SYMBOL_CRC(iio_channel_get_all, 0x395f3944, "_gpl");
SYMBOL_CRC(iio_channel_release_all, 0x30d89b0f, "_gpl");
SYMBOL_CRC(devm_iio_channel_get_all, 0xf3da9abc, "_gpl");
SYMBOL_CRC(iio_read_channel_raw, 0x862866bb, "_gpl");
SYMBOL_CRC(iio_read_channel_average_raw, 0xd14a1102, "_gpl");
SYMBOL_CRC(iio_convert_raw_to_processed, 0x2b94f287, "_gpl");
SYMBOL_CRC(iio_read_channel_attribute, 0x51e88c24, "_gpl");
SYMBOL_CRC(iio_read_channel_offset, 0xcce6d8ba, "_gpl");
SYMBOL_CRC(iio_read_channel_processed_scale, 0xbc43e7c9, "_gpl");
SYMBOL_CRC(iio_read_channel_processed, 0x1d310856, "_gpl");
SYMBOL_CRC(iio_read_channel_scale, 0xd5ea79a8, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_attribute, 0xba253ca6, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_raw, 0x2f4265a7, "_gpl");
SYMBOL_CRC(iio_read_max_channel_raw, 0xa9778664, "_gpl");
SYMBOL_CRC(iio_read_min_channel_raw, 0x127205b6, "_gpl");
SYMBOL_CRC(iio_get_channel_type, 0x0683c9e2, "_gpl");
SYMBOL_CRC(iio_write_channel_attribute, 0x41db363d, "_gpl");
SYMBOL_CRC(iio_write_channel_raw, 0xe7b8dbdc, "_gpl");
SYMBOL_CRC(iio_get_channel_ext_info_count, 0xb50e6ec9, "_gpl");
SYMBOL_CRC(iio_read_channel_ext_info, 0xd170343e, "_gpl");
SYMBOL_CRC(iio_write_channel_ext_info, 0xa30e6fb4, "_gpl");
SYMBOL_CRC(iio_read_channel_label, 0xf3faece9, "_gpl");
SYMBOL_CRC(iio_pop_from_buffer, 0x2e1368e0, "_gpl");
SYMBOL_CRC(iio_buffer_init, 0x1b61f410, "");
SYMBOL_CRC(iio_update_buffers, 0x23b5451a, "_gpl");
SYMBOL_CRC(iio_buffer_signal_dmabuf_done, 0xd085b108, "_gpl");
SYMBOL_CRC(iio_validate_scan_mask_onehot, 0x49ddc7ee, "_gpl");
SYMBOL_CRC(iio_push_to_buffers, 0x37d2123d, "_gpl");
SYMBOL_CRC(iio_push_to_buffers_with_ts_unaligned, 0xd0a2750d, "_gpl");
SYMBOL_CRC(iio_buffer_get, 0x2d949214, "_gpl");
SYMBOL_CRC(iio_buffer_put, 0x75d19413, "_gpl");
SYMBOL_CRC(iio_device_attach_buffer, 0x340a6e97, "_gpl");
SYMBOL_CRC(iio_trigger_register, 0xd9a43707, "");
SYMBOL_CRC(iio_trigger_unregister, 0xaa215b02, "");
SYMBOL_CRC(iio_trigger_set_immutable, 0xf96b568e, "");
SYMBOL_CRC(iio_trigger_poll, 0xb8742aca, "");
SYMBOL_CRC(iio_trigger_generic_data_rdy_poll, 0x2d6bcdcb, "");
SYMBOL_CRC(iio_trigger_poll_nested, 0x40517530, "");
SYMBOL_CRC(iio_trigger_notify_done, 0x3cf33758, "");
SYMBOL_CRC(iio_pollfunc_store_time, 0xdf76bbeb, "");
SYMBOL_CRC(iio_alloc_pollfunc, 0x7e1bd36c, "_gpl");
SYMBOL_CRC(iio_dealloc_pollfunc, 0x18efdfce, "_gpl");
SYMBOL_CRC(__iio_trigger_alloc, 0x8d690d3b, "");
SYMBOL_CRC(iio_trigger_free, 0xd71cfd10, "");
SYMBOL_CRC(__devm_iio_trigger_alloc, 0x88f8df6e, "_gpl");
SYMBOL_CRC(devm_iio_trigger_register, 0xf09dc2b5, "_gpl");
SYMBOL_CRC(iio_trigger_using_own, 0xb04d5484, "");
SYMBOL_CRC(iio_validate_own_trigger, 0x6e1c7302, "_gpl");
SYMBOL_CRC(iio_trigger_validate_own_device, 0x8f021a50, "");
SYMBOL_CRC(iio_device_suspend_triggering, 0x877b4800, "");
SYMBOL_CRC(iio_device_resume_triggering, 0xaf21a532, "");
SYMBOL_CRC(iio_read_acpi_mount_matrix, 0x23b66820, "_gpl");
SYMBOL_CRC(iio_get_acpi_device_name_and_data, 0xcc422684, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde5909e2, "ww_mutex_trylock" },
	{ 0x1000e51, "schedule" },
	{ 0xfe06e367, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x71b71c88, "put_device" },
	{ 0x20dbf27, "bitmap_alloc" },
	{ 0x7dcc69f9, "dma_buf_map_attachment" },
	{ 0x9ae628a3, "const_pcpu_hot" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x719b14d7, "handle_simple_irq" },
	{ 0x75257b76, "_dev_info" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xa22a4934, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x13fe0ba7, "compat_ptr_ioctl" },
	{ 0xf5e7ea40, "ktime_get_coarse_ts64" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x996422bf, "bus_unregister" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0xbb39d28f, "simple_open" },
	{ 0x23de9777, "dma_buf_unmap_attachment" },
	{ 0x33114c6e, "bus_find_device" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x9832ddd1, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x7ef00ff5, "noop_llseek" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc9669098, "dma_buf_get" },
	{ 0xda634f0e, "debugfs_remove" },
	{ 0xfebc963e, "device_property_read_string_array" },
	{ 0xa4c38460, "__devres_alloc_node" },
	{ 0xbf06f843, "ww_mutex_lock" },
	{ 0x1dcf1af4, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x4ea0b6a7, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xd2dd38d8, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x851f4089, "acpi_match_device" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x35a81602, "__irq_alloc_descs" },
	{ 0xc0c252ce, "fwnode_property_read_string" },
	{ 0x7034462f, "fwnode_property_present" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4f147c50, "fwnode_get_next_parent" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x3caa5699, "debugfs_create_file_full" },
	{ 0x2ea5d554, "dma_buf_detach" },
	{ 0x1be1608c, "devm_krealloc" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xb40c42e0, "__irq_set_handler" },
	{ 0x9b03d2fe, "__devm_add_action" },
	{ 0x9348ad04, "irq_set_chip" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xd6cd0467, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeea04670, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3492ec3a, "__dev_fwnode" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xbe36d7e3, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd1c68f8e, "ww_mutex_lock_interruptible" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xbf50fb6a, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb139bc9a, "dma_resv_reserve_fences" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xce970c22, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x5ec8eec9, "dma_resv_wait_timeout" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x66f3eb3, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd8bb6c9f, "ww_mutex_unlock" },
	{ 0x82b210c2, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9fb6ae83, "dma_resv_add_fence" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xd8d4d08d, "fwnode_property_get_reference_args" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8b3566dc, "__module_get" },
	{ 0x71dc5846, "get_device" },
	{ 0xef1faebc, "dma_buf_attach" },
	{ 0xd7fee2d5, "fwnode_property_match_string" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0xb93d68cc, "fwnode_get_parent" },
	{ 0x3e8c0b77, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478e593f, "device_match_fwnode" },
	{ 0xbcb4092d, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xa8a15d03, "cdev_device_add" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C4D4D8DC822A9EB2D8C642A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
