#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x658b1a06, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x78a1f182, "_gpl");
SYMBOL_CRC(media_device_init, 0x09925a2c, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x247d3bac, "_gpl");
SYMBOL_CRC(__media_device_register, 0xd7ee94ce, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x0bcf64dc, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x025a2ba0, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x6e644388, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x93c2cf86, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0xed495962, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x408da3c6, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x65f15712, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x17defc4b, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x44a9fa1a, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x339d0d50, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x9a07415f, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xdf27be4e, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x09d93eff, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xa9b17970, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x284686aa, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x18b41698, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xa8e5aaaa, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x3c272bbb, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x299af98c, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xda37e44f, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x1b027455, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x2899a59d, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x25d21f48, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0xf6851123, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x8aca51b4, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0xa7f09979, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x3854d0cb, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x29af61b3, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x846dd6f9, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x225f0983, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x2790b204, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0xcd5c1864, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x27392896, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x91f2e128, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x142cd954, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xfd26571c, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x92a79e96, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xa494374a, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0xaae14236, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x7052ade8, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0xefd375ed, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xfc55c506, "_gpl");
SYMBOL_CRC(media_request_put, 0x339579c1, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x92d56754, "_gpl");
SYMBOL_CRC(media_request_object_find, 0xcef5145b, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x3420fbf5, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x86b51085, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0xdef52288, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x12174f5c, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0xa678c962, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x45b464b6, "_gpl");
SYMBOL_CRC(media_device_delete, 0xc5bfb687, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa8a15d03, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x71b71c88, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa1749435, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa22a4934, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4356cdfd, "device_create_file" },
	{ 0x996422bf, "bus_unregister" },
	{ 0x42e462f1, "fput" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0xd2dd38d8, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x39b9698e, "platform_bus_type" },
	{ 0xad9c782d, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeea04670, "cdev_init" },
	{ 0x8e2c77e9, "pci_bus_type" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa018509d, "device_remove_file" },
	{ 0xbe36d7e3, "bus_register" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xae05932c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x6c8b7695, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xce970c22, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x66f3eb3, "cdev_device_del" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x82b210c2, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x163e0096, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0x71dc5846, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4CEF93373F93DA69D803204");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
