#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0xdb466832, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0xef24221c, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x22d370b5, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0xd3c87033, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0xb0e08a8b, "_gpl");
SYMBOL_CRC(m_can_class_register, 0xa0c2f973, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x1d48367e, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xb1e80f45, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xd5b8b166, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x373b0d5, "dql_reset" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc79d9cc8, "unregister_candev" },
	{ 0x6aa5d9d3, "can_rx_offload_del" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0xfd5183d2, "devm_clk_get" },
	{ 0x4b97b43c, "__pm_runtime_resume" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x281a566e, "netif_tx_wake_queue" },
	{ 0xb1053f15, "netif_schedule_queue" },
	{ 0xc1b38c33, "__pm_runtime_idle" },
	{ 0x2570a07c, "can_skb_get_frame_len" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x3957dc78, "can_put_echo_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x102fe6de, "hrtimer_cancel" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2155f701, "hrtimer_try_to_cancel" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc0b7c197, "hrtimer_start_range_ns" },
	{ 0x2bbba167, "netdev_warn" },
	{ 0xc3a64ab5, "phy_power_on" },
	{ 0xfae0f46d, "open_candev" },
	{ 0x6431f91d, "napi_enable" },
	{ 0xf0c21e0b, "phy_power_off" },
	{ 0x73b5730f, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4a0bbdd8, "napi_disable" },
	{ 0x7beac0df, "close_candev" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6f1a4614, "sk_skb_reason_drop" },
	{ 0x288acea, "can_dropped_invalid_skb" },
	{ 0x3905eb6, "softnet_data" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd480d558, "netdev_printk" },
	{ 0x92fadc64, "pinctrl_pm_select_default_state" },
	{ 0x6aefd00, "netif_device_attach" },
	{ 0xea82d349, "hrtimer_init" },
	{ 0x920a321e, "register_candev" },
	{ 0x3d9a2164, "devm_kmalloc" },
	{ 0x3ed68d2, "can_rx_offload_add_manual" },
	{ 0xf99f45c6, "netif_napi_add_weight" },
	{ 0x75257b76, "_dev_info" },
	{ 0xa423eec7, "alloc_can_err_skb" },
	{ 0x379c75ea, "can_rx_offload_queue_timestamp" },
	{ 0xf937de26, "netif_receive_skb" },
	{ 0xe6699187, "__dynamic_netdev_dbg" },
	{ 0xefac77bf, "pinctrl_pm_select_sleep_state" },
	{ 0x87f3895, "netif_device_detach" },
	{ 0x2b144dea, "can_bus_off" },
	{ 0x8795d1c7, "alloc_canfd_skb" },
	{ 0x2ba23a05, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x18edad42, "napi_complete_done" },
	{ 0xcb2e80c6, "hrtimer_active" },
	{ 0x67d87030, "napi_schedule_prep" },
	{ 0x49eedc74, "can_rx_offload_threaded_irq_finish" },
	{ 0xda809ce9, "__napi_schedule" },
	{ 0x135bb7ec, "hrtimer_forward" },
	{ 0xc1cd61a8, "ethtool_op_get_ts_info" },
	{ 0xecff8761, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x3492ec3a, "__dev_fwnode" },
	{ 0x36b7cbb9, "fwnode_property_read_u32_array" },
	{ 0x9287ffca, "alloc_candev_mqs" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0x8dcc5a10, "free_candev" },
	{ 0xf51daada, "netdev_err" },
	{ 0x99814614, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x17dffddf, "can_get_echo_skb" },
	{ 0x91417ef2, "can_free_echo_skb" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "A31F3D2BDF5FCF4078FA737");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
