#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xe6699187, "__dynamic_netdev_dbg" },
	{ 0xe205b6a9, "call_switchdev_notifiers" },
	{ 0xfba91a8a, "skb_queue_tail" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd5fbb3c7, "spi_get_device_id" },
	{ 0x3d9a2164, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x78d2e25c, "device_property_present" },
	{ 0xe6fe35f1, "devm_gpiod_get_optional" },
	{ 0xa2564a6, "spi_bus_lock" },
	{ 0x4743bb10, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6006b5de, "spi_bus_unlock" },
	{ 0x6a9ae45c, "devm_mdiobus_alloc_size" },
	{ 0xce7ab44c, "__devm_mdiobus_register" },
	{ 0x2eef9d81, "devm_alloc_etherdev_mqs" },
	{ 0x3cf36735, "device_get_ethdev_address" },
	{ 0xf32862a7, "netif_carrier_off" },
	{ 0x4dffbf1b, "get_phy_device" },
	{ 0xa8f9afc7, "phy_connect" },
	{ 0x9b03d2fe, "__devm_add_action" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x3a02ba15, "devm_request_threaded_irq" },
	{ 0xac15df44, "devm_register_netdev" },
	{ 0xf51daada, "netdev_err" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x281a566e, "netif_tx_wake_queue" },
	{ 0xd2dd38d8, "_dev_warn" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd5c1e5f4, "phy_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x79ad1cfc, "dev_addr_mod" },
	{ 0x309b3cbe, "eth_prepare_mac_addr_change" },
	{ 0xdd0c5c3c, "phy_start" },
	{ 0x85c30f1e, "ethtool_op_get_link" },
	{ 0xf1e79a8a, "phy_ethtool_get_link_ksettings" },
	{ 0xc29bd371, "phy_ethtool_set_link_ksettings" },
	{ 0x461cd030, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x69c42385, "phy_disconnect" },
	{ 0x2ae15d77, "phy_print_status" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2c0e9548, "phy_do_ioctl" },
	{ 0x865fb5fb, "switchdev_handle_port_attr_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xcf13eb7, "__spi_register_driver" },
	{ 0xfcc6967, "driver_unregister" },
	{ 0xdb16bca5, "spi_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x20e145be, "__netdev_alloc_skb" },
	{ 0x64c1aa8d, "skb_put" },
	{ 0x557f4131, "skb_pull" },
	{ 0x17b3586f, "eth_type_trans" },
	{ 0xa54a95bf, "netif_rx" },
	{ 0x6f1a4614, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8ec69c2f, "consume_skb" },
	{ 0x5a75275, "skb_dequeue" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "mdio_devres,libphy,crc8");

MODULE_ALIAS("spi:adin1110");
MODULE_ALIAS("spi:adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin1110");
MODULE_ALIAS("of:N*T*Cadi,adin1110C*");
MODULE_ALIAS("of:N*T*Cadi,adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin2111C*");

MODULE_INFO(srcversion, "458E69A5B1D3479444DCC45");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
