#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0xcf7addfe, "");
SYMBOL_CRC(prestera_device_unregister, 0x22d479a9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x17b3586f, "eth_type_trans" },
	{ 0x5837f93c, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4f57a642, "dma_map_page_attrs" },
	{ 0x18edad42, "napi_complete_done" },
	{ 0x5066b27c, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x23464ce6, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xda809ce9, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xc48f9163, "__alloc_skb" },
	{ 0x4c7ed5a1, "switchdev_bridge_port_offload" },
	{ 0x195ca483, "flow_block_cb_incref" },
	{ 0x8e23566, "flow_rule_match_ports_range" },
	{ 0x75257b76, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x93fd3be7, "free_fib_info" },
	{ 0x40f4e1d9, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xba11c899, "vlan_dev_real_dev" },
	{ 0xdfa2e716, "__dev_get_by_index" },
	{ 0x5b1b379b, "devlink_port_unregister" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x1da9ffc7, "init_net" },
	{ 0x557f4131, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6f1a4614, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8a8414ad, "flow_block_cb_decref" },
	{ 0x94a2a4d0, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x6431f91d, "napi_enable" },
	{ 0x2c1ef8b0, "register_netdev" },
	{ 0xbdf55966, "unregister_fib_notifier" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xd62b5e2e, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x85c30f1e, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xc671f5a0, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0xd2dd38d8, "_dev_warn" },
	{ 0xaa3eab5c, "flow_rule_match_ports" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2d68afd6, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xb9f99463, "devlink_trap_report" },
	{ 0x5967a270, "__neigh_event_send" },
	{ 0x2665293a, "flow_block_cb_alloc" },
	{ 0x9be481e1, "switchdev_handle_port_obj_add" },
	{ 0x3b616008, "fib_alias_hw_flags_set" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb4bc512, "phylink_pcs_change" },
	{ 0xaea53b87, "__neigh_create" },
	{ 0x6cf2b304, "netdev_walk_all_upper_dev_rcu" },
	{ 0x7e0fbbc7, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xefc0d9bc, "phylink_ethtool_ksettings_set" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc55c98cc, "alloc_netdev_dummy" },
	{ 0x29f61bc5, "neigh_destroy" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x5364c7f6, "br_multicast_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe08dd6d3, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbf822e07, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x12537425, "netdev_master_upper_dev_get_rcu" },
	{ 0xad7e96c5, "devlink_traps_register" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0x24f2865f, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf32862a7, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xaaaa0ea2, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xea229777, "devlink_priv" },
	{ 0x1b4127ec, "devlink_port_register_with_ops" },
	{ 0x1f7d4ed6, "netif_carrier_on" },
	{ 0xf8efc3cc, "netdev_has_any_upper_dev" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x3c1c3f7d, "devlink_trap_groups_register" },
	{ 0x97499277, "arp_tbl" },
	{ 0x5bfbb43f, "phylink_ethtool_ksettings_get" },
	{ 0x889d0938, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9a99c895, "netdev_walk_all_lower_dev" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x67d87030, "napi_schedule_prep" },
	{ 0xe437fa6e, "__fib_lookup" },
	{ 0x4a0bbdd8, "napi_disable" },
	{ 0xdab3270b, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xe07d869f, "devlink_trap_groups_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeffda8b5, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x975b8adb, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe673bcfc, "alloc_etherdev_mqs" },
	{ 0x1217124e, "netdev_lower_get_next" },
	{ 0x8f8b7af7, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x66d2414, "br_vlan_enabled" },
	{ 0xdb794b9a, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x38332592, "devlink_unregister" },
	{ 0x99633cad, "dma_pool_create" },
	{ 0x64c1aa8d, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe205b6a9, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8d94584b, "register_fib_notifier" },
	{ 0xbf473a0e, "l3mdev_fib_table_rcu" },
	{ 0xf99f45c6, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xdf4b7fc9, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc423872a, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x75d8a3c7, "flow_rule_match_eth_addrs" },
	{ 0xcb84431f, "devlink_port_attrs_set" },
	{ 0x581b1d0c, "flow_block_cb_priv" },
	{ 0x29c08389, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3f96904, "devlink_alloc_ns" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xcbdbb408, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x1ef6adf6, "pcpu_hot" },
	{ 0xe32b782a, "devlink_free" },
	{ 0x2bbba167, "netdev_warn" },
	{ 0xe507a7cc, "flow_rule_match_ipv4_addrs" },
	{ 0xec5d74a8, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x5975e92f, "fib_table_lookup" },
	{ 0x45236a69, "skb_pull_rcsum" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf51daada, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x750d55b2, "pskb_expand_head" },
	{ 0x865fb5fb, "switchdev_handle_port_attr_set" },
	{ 0x866cc655, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x4afa1d, "dev_driver_string" },
	{ 0x79ad1cfc, "dev_addr_mod" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "DEE6411BEDB481D2499FF15");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
