#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");
KSYMTAB_DATA(dwmac1000_dma_ops, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x56adbdb7, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x96fbb419, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xa00352db, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xd765f6d4, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x28fb6a9b, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xc95154f9, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");
SYMBOL_CRC(dwmac1000_dma_ops, 0xa5b38d55, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ef6adf6, "pcpu_hot" },
	{ 0x9188e761, "seq_lseek" },
	{ 0x50d9ebaf, "page_pool_destroy" },
	{ 0xb4fc3e7e, "xdp_do_redirect" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2bbba167, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe507a7cc, "flow_rule_match_ipv4_addrs" },
	{ 0xcd4098bf, "xdp_rxq_info_unreg_mem_model" },
	{ 0xec5d74a8, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xf51daada, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x750d55b2, "pskb_expand_head" },
	{ 0xaf608b9a, "phylink_limit_mac_speed" },
	{ 0x7b534ed9, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x4afa1d, "dev_driver_string" },
	{ 0x92fadc64, "pinctrl_pm_select_default_state" },
	{ 0x79ad1cfc, "dev_addr_mod" },
	{ 0x19f5a38c, "xdp_rxq_info_reg_mem_model" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x17b3586f, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1de7bce3, "__pm_runtime_set_status" },
	{ 0x4f57a642, "dma_map_page_attrs" },
	{ 0x18edad42, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x6573406d, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xfeb13396, "pm_wakeup_dev_event" },
	{ 0x12554ce, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xda809ce9, "__napi_schedule" },
	{ 0xa6572fcb, "pm_runtime_enable" },
	{ 0xf5f79b8b, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x87f3895, "netif_device_detach" },
	{ 0xa6292430, "xpcs_config_eee" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x75257b76, "_dev_info" },
	{ 0x264fef22, "xpcs_create_mdiodev" },
	{ 0x1445ba2a, "napi_gro_receive" },
	{ 0x6aefd00, "netif_device_attach" },
	{ 0x89af0fe3, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7a49eeb5, "netdev_pick_tx" },
	{ 0x93ad40ea, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd8538ea9, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x12d184e, "xdp_rxq_info_is_reg" },
	{ 0x2eef9d81, "devm_alloc_etherdev_mqs" },
	{ 0xc7ff6121, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x40f4e1d9, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0xdf1e80e6, "dev_open" },
	{ 0x68cfa46c, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x2c02ae2, "xpcs_destroy" },
	{ 0xefac77bf, "pinctrl_pm_select_sleep_state" },
	{ 0x557f4131, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7bdc97d6, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xeb93c001, "ptp_clock_register" },
	{ 0xe77d52a5, "xsk_tx_peek_desc" },
	{ 0x774e8eea, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x718f0129, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xe63f076e, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x94a2a4d0, "skb_push" },
	{ 0x2e5a66eb, "dma_alloc_attrs" },
	{ 0xda634f0e, "debugfs_remove" },
	{ 0x6431f91d, "napi_enable" },
	{ 0x1f8cce1a, "xsk_clear_rx_need_wakeup" },
	{ 0xc0651c5a, "xpcs_get_interfaces" },
	{ 0x4662af42, "xsk_uses_need_wakeup" },
	{ 0x2c1ef8b0, "register_netdev" },
	{ 0x2515b5ee, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x56305272, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x669543a9, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x85c30f1e, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x57078517, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x281a566e, "netif_tx_wake_queue" },
	{ 0x219cf170, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe3c0101c, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xd2dd38d8, "_dev_warn" },
	{ 0xaa3eab5c, "flow_rule_match_ports" },
	{ 0x9bd25c39, "phylink_fwnode_phy_connect" },
	{ 0xc0b7c197, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe41ae854, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xb1053f15, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x74da8e9c, "fwnode_get_named_child_node" },
	{ 0xe7fec27a, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc5fbc02e, "ptp_clock_unregister" },
	{ 0x60d39d42, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfa180f0d, "xpcs_get_an_mode" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe6699187, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6b2db9ed, "xdp_return_frame_rx_napi" },
	{ 0x46d349f2, "netdev_alert" },
	{ 0x5ee14604, "dma_set_coherent_mask" },
	{ 0x79b81367, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xd64c17bd, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xb3f0a00a, "fwnode_find_reference" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xefc0d9bc, "phylink_ethtool_ksettings_set" },
	{ 0x4fbff276, "debugfs_rename" },
	{ 0x7034462f, "fwnode_property_present" },
	{ 0x40f580d3, "xsk_set_tx_need_wakeup" },
	{ 0xaea516f6, "netdev_reset_tc" },
	{ 0x726ee54b, "dma_free_attrs" },
	{ 0x4b97b43c, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe08dd6d3, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa02370cd, "xp_set_rxq_info" },
	{ 0xbf822e07, "flow_rule_match_vlan" },
	{ 0xaf6c0970, "xdp_rxq_info_unreg" },
	{ 0x7ffc5730, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6a996f46, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf32862a7, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb12d906e, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xab58a2bf, "mdiobus_get_phy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1f7d4ed6, "netif_carrier_on" },
	{ 0xbfa42b18, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x3caa5699, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x128da470, "__mdiobus_register" },
	{ 0x5bfbb43f, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x102fe6de, "hrtimer_cancel" },
	{ 0x1dce990, "xp_free" },
	{ 0x5a4c28a7, "phy_support_eee" },
	{ 0xb6f2e92e, "single_release" },
	{ 0xc70e9f80, "dma_set_mask" },
	{ 0xdf393334, "xpcs_create_fwnode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xf186d955, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x25eb9b05, "skb_add_rx_frag_netmem" },
	{ 0x76645e55, "xdp_master_redirect" },
	{ 0x4d5fed7a, "xp_raw_get_data" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x67d87030, "napi_schedule_prep" },
	{ 0x4a0bbdd8, "napi_disable" },
	{ 0xdab3270b, "dev_kfree_skb_any_reason" },
	{ 0xfe8cbfcb, "eth_header_parse_protocol" },
	{ 0xf1e509ac, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc2a846c, "single_open" },
	{ 0xf08ed850, "__pm_runtime_disable" },
	{ 0xd6cd0467, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc1b38c33, "__pm_runtime_idle" },
	{ 0xc1cd61a8, "ethtool_op_get_ts_info" },
	{ 0x21fbf9f2, "xsk_tx_release" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3492ec3a, "__dev_fwnode" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0xd5464b11, "netdev_info" },
	{ 0xe6635d01, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xef54e631, "mdiobus_alloc_size" },
	{ 0x5b279c4c, "__tracepoint_xdp_exception" },
	{ 0xd9b8e5b, "xsk_tx_completed" },
	{ 0x515cae0f, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf68baee0, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x1b9dc252, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3cadf0ff, "bpf_prog_put" },
	{ 0xe7430e02, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9f98b756, "xp_dma_map" },
	{ 0xb0c45ab, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3d9a2164, "devm_kmalloc" },
	{ 0x658d32a2, "eth_mac_addr" },
	{ 0x64c1aa8d, "skb_put" },
	{ 0x20bf106d, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x643901a0, "netdev_update_features" },
	{ 0x8ec69c2f, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf99f45c6, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2155f701, "hrtimer_try_to_cancel" },
	{ 0xd2a5894b, "bpf_warn_invalid_xdp_action" },
	{ 0xdf4b7fc9, "unregister_netdev" },
	{ 0xe84670d8, "xdp_convert_zc_to_xdp_frame" },
	{ 0x597fa6f8, "xdp_features_set_redirect_target" },
	{ 0xc423872a, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea82d349, "hrtimer_init" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0x23e1639c, "ptp_clock_index" },
	{ 0xb82bee98, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "phylink,pcs_xpcs,libphy");


MODULE_INFO(srcversion, "97FCDE514940D4AB1C34598");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
