#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0x37c5300f, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x3ed4fa39, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0x576c932b, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0xb42e8c63, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0xd385a58e, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0x36421200, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x49bc9b67, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x706b63ca, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0xb4a5cd2c, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x8c61acc7, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x1bb67376, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x735b4637, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0xbaeeae95, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0x84d9479e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3d9a2164, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc32a4951, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x557f4131, "skb_pull" },
	{ 0x20609c87, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xd4ceac8a, "ath9k_hw_set_txpowerlimit" },
	{ 0xeb600e64, "ath_hw_keyreset" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,ath9k_hw,ath");


MODULE_INFO(srcversion, "6AB875ABAF703AC5629CAD0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
