#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tpmi_get_platform_data, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_resource_count, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_resource_at_index, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_feature_status, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_debugfs_dir, "_gpl", "INTEL_TPMI");

SYMBOL_CRC(tpmi_get_platform_data, 0x69a1ae66, "_gpl");
SYMBOL_CRC(tpmi_get_resource_count, 0x6462a1be, "_gpl");
SYMBOL_CRC(tpmi_get_resource_at_index, 0xe08b94e0, "_gpl");
SYMBOL_CRC(tpmi_get_feature_status, 0x7d187300, "_gpl");
SYMBOL_CRC(tpmi_get_debugfs_dir, 0xe8378263, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf72a5923, "intel_vsec_add_aux" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8acdcdb7, "auxiliary_driver_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9c9aa3b9, "parse_int_array_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xda634f0e, "debugfs_remove" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x79b81367, "seq_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa821c4e0, "seq_write" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb12d906e, "seq_printf" },
	{ 0x3caa5699, "debugfs_create_file_full" },
	{ 0xb6f2e92e, "single_release" },
	{ 0xec448f57, "__auxiliary_driver_register" },
	{ 0xc2a846c, "single_open" },
	{ 0xd6cd0467, "debugfs_create_dir" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0x3d9a2164, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4cfdeab8, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xf3ff7eaf, "seq_hex_dump" },
	{ 0x9188e761, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "intel-vsec");

MODULE_ALIAS("auxiliary:intel_vsec.tpmi");

MODULE_INFO(srcversion, "260EB06E1D4779E22B30965");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
