#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0x0e892565, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0x419932b3, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0x94506cb5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7cc8bb6, "devm_reset_control_array_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1de7bce3, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6572fcb, "pm_runtime_enable" },
	{ 0xe06917f8, "device_property_read_u32_array" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xcc18cd51, "xhci_resume" },
	{ 0xe5c5a4c8, "xhci_run" },
	{ 0xcae2ee96, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x35e496e7, "xhci_init_driver" },
	{ 0x52bfaab8, "usb_put_hcd" },
	{ 0xe7af286f, "__platform_driver_register" },
	{ 0x5ee14604, "dma_set_coherent_mask" },
	{ 0x8186add2, "devm_clk_get_optional" },
	{ 0xe30ed32c, "pm_runtime_forbid" },
	{ 0x4b97b43c, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9b87ae95, "__usb_create_hcd" },
	{ 0xc70e9f80, "dma_set_mask" },
	{ 0x5a92e5eb, "usb_remove_hcd" },
	{ 0xf08ed850, "__pm_runtime_disable" },
	{ 0x6da38a64, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0x8e2c77e9, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x78d2e25c, "device_property_present" },
	{ 0xda04ae64, "usb_hcd_platform_shutdown" },
	{ 0xbf50fb6a, "is_acpi_device_node" },
	{ 0xe7430e02, "device_set_wakeup_capable" },
	{ 0x345c257, "xhci_suspend" },
	{ 0xf7acd8a5, "devm_platform_get_and_ioremap_resource" },
	{ 0x5c5b7529, "platform_driver_unregister" },
	{ 0x63dc8853, "platform_get_irq" },
	{ 0xaf7ef56b, "xhci_gen_setup" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd");

MODULE_ALIAS("acpi*:PNP0D10:*");

MODULE_INFO(srcversion, "619AF54C529E4466128619D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
