#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(musb_get_mode, "_gpl", "");
KSYMTAB_DATA(musb_readb, "_gpl", "");
KSYMTAB_DATA(musb_writeb, "_gpl", "");
KSYMTAB_DATA(musb_clearb, "_gpl", "");
KSYMTAB_DATA(musb_readw, "_gpl", "");
KSYMTAB_DATA(musb_writew, "_gpl", "");
KSYMTAB_DATA(musb_clearw, "_gpl", "");
KSYMTAB_FUNC(musb_readl, "_gpl", "");
KSYMTAB_FUNC(musb_writel, "_gpl", "");
KSYMTAB_FUNC(musb_set_host, "_gpl", "");
KSYMTAB_FUNC(musb_set_peripheral, "_gpl", "");
KSYMTAB_FUNC(musb_interrupt, "_gpl", "");
KSYMTAB_FUNC(musb_mailbox, "_gpl", "");
KSYMTAB_FUNC(musb_queue_resume_work, "_gpl", "");
KSYMTAB_FUNC(musb_root_disconnect, "_gpl", "");

SYMBOL_CRC(musb_get_mode, 0x91e94f7e, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_set_host, 0xa982d132, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0x6dfe21f1, "_gpl");
SYMBOL_CRC(musb_interrupt, 0x7cdf0447, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0x15224908, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0x7e7328ef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xa425e195, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa6572fcb, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x62288c43, "usb_hcd_check_unlink_urb" },
	{ 0x4946081a, "device_wakeup_disable" },
	{ 0xa5f08d6a, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x256ec8a4, "perf_trace_run_bpf_submit" },
	{ 0x3900a5a3, "devm_kfree" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x2253a086, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xda634f0e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x1e7c2711, "sg_miter_stop" },
	{ 0x1f1fc640, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4e0bb96, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdfc8093b, "bpf_trace_run1" },
	{ 0x7ee7bcd, "usb_hcd_link_urb_to_ep" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x52bfaab8, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe7af286f, "__platform_driver_register" },
	{ 0xf53ceb69, "bpf_trace_run3" },
	{ 0x79b81367, "seq_read" },
	{ 0x65cb7317, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x800e5761, "trace_event_buffer_reserve" },
	{ 0x4b97b43c, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xb430e415, "usb_hcd_giveback_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x39b9698e, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb12d906e, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xda075000, "usb_hcd_poll_rh_status" },
	{ 0x3caa5699, "debugfs_create_file_full" },
	{ 0x6ca10f2a, "usb_create_hcd" },
	{ 0xb6f2e92e, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf186d955, "dev_err_probe" },
	{ 0xf852a2c7, "__pm_runtime_suspend" },
	{ 0xea79b2ba, "usb_debug_root" },
	{ 0x754d539c, "strlen" },
	{ 0xfb1a6b6, "__pm_runtime_use_autosuspend" },
	{ 0x5a92e5eb, "usb_remove_hcd" },
	{ 0x20fdac8, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc2a846c, "single_open" },
	{ 0xabdb0585, "usb_hcd_unmap_urb_for_dma" },
	{ 0xf08ed850, "__pm_runtime_disable" },
	{ 0xd6cd0467, "debugfs_create_dir" },
	{ 0x6da38a64, "usb_add_hcd" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc1b38c33, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7bedcc2, "devm_platform_ioremap_resource" },
	{ 0xe7430e02, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xcb954e28, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3d9a2164, "devm_kmalloc" },
	{ 0x7cc30b4d, "usb_hcd_resume_root_hub" },
	{ 0xb11035c6, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5c5b7529, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7098254a, "param_ops_ushort" },
	{ 0x35ef6c82, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x58ed0b79, "pm_runtime_set_autosuspend_delay" },
	{ 0xd57411b, "__trace_trigger_soft_disabled" },
	{ 0x53d110d9, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xecfc50cf, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ef6adf6, "pcpu_hot" },
	{ 0x9188e761, "seq_lseek" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5ca81dc1, "bpf_trace_run2" },
	{ 0x148653, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8b78c668, "usb_get_dr_mode" },
	{ 0x4afa1d, "dev_driver_string" },
	{ 0xb3e314b0, "trace_event_buffer_commit" },
	{ 0x22204e95, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "4B2F4671675F6E3D2711A0D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
