#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x9a7ab7dc, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xa8979a1e, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x0cef0556, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x973712ab, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x3cd5c503, "_gpl");
SYMBOL_CRC(br_forward, 0x42ac644b, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x8f26fa40, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x4666dbfb, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xf7bf4b6e, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xb644e2f0, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x5364c7f6, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xcb17a2f4, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xe0799ab6, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xa7601d31, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xabfa9ddf, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x63615578, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x066d2414, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x1303eac9, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x393af89b, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x80afa00b, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x85746d3e, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xfef2ac5f, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x8dc441b8, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xec28cbfe, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x29ff8ad3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x131db64a, "system_long_wq" },
	{ 0x299d38ac, "kobject_create_and_add" },
	{ 0x72367042, "skb_trim" },
	{ 0x4f57b605, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe6699187, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x564975e1, "__ip_mc_inc_group" },
	{ 0x6cf2b304, "netdev_walk_all_upper_dev_rcu" },
	{ 0x7e0fbbc7, "pv_ops" },
	{ 0x44ef2398, "sysfs_remove_group" },
	{ 0x5b0aa9e2, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2585451d, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x68f2feaf, "__netpoll_setup" },
	{ 0x41a8c4e4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6074944f, "vlan_vid_add" },
	{ 0x29f61bc5, "neigh_destroy" },
	{ 0x71c175d6, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xe6754a48, "kobject_del" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xf1fe5093, "__SCK__tp_func_br_fdb_update" },
	{ 0xb8f04f24, "call_netdevice_notifiers" },
	{ 0xa71d5c37, "is_skb_forwardable" },
	{ 0xbc44ef6, "vlan_vid_del" },
	{ 0x38172345, "dev_set_allmulti" },
	{ 0x9cd1c80c, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0x24f2865f, "netdev_master_upper_dev_get" },
	{ 0x2be99473, "ipv6_dev_mc_inc" },
	{ 0xfa01b9be, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf32862a7, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x161d3a49, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x66bcd717, "skb_clone" },
	{ 0x5f09c501, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x85a2bafe, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12fec313, "dst_release" },
	{ 0x1f7d4ed6, "netif_carrier_on" },
	{ 0xda8a12fd, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x97499277, "arp_tbl" },
	{ 0x800f8783, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8974e144, "netdev_rx_handler_register" },
	{ 0x815b5c34, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x78c7f0a4, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd7780f3a, "dev_disable_lro" },
	{ 0x5c011e3c, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x79bc0dc2, "dev_get_flags" },
	{ 0x831181da, "__rtnl_unregister_many" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xdab3270b, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xdf3ccbef, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x1cd6f7d1, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x45ea99e2, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x95b9c4b2, "skb_ext_add" },
	{ 0x54bf7f9f, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x87e7eef, "stp_proto_unregister" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0x975b8adb, "neigh_lookup" },
	{ 0xbf30b78b, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x96954a44, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1918f639, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x1217124e, "netdev_lower_get_next" },
	{ 0xf35b550d, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x34247dc1, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb0c45ab, "skb_copy_bits" },
	{ 0x159aeee, "__nlmsg_put" },
	{ 0x7caa801, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7b43de1b, "ipv6_mc_check_mld" },
	{ 0x64c1aa8d, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe205b6a9, "call_switchdev_notifiers" },
	{ 0x69c3c118, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x643901a0, "netdev_update_features" },
	{ 0x8ec69c2f, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1a01567, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x382699e6, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf336046f, "netpoll_send_skb" },
	{ 0xc7c08b5, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xc89fb562, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1ebef37, "switchdev_port_obj_act_is_deferred" },
	{ 0x832fe40b, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e21dac3, "dev_set_promiscuity" },
	{ 0x1ef6adf6, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3fa405e8, "unregister_netdevice_queue" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa33cd43d, "netdev_state_change" },
	{ 0x14ce4822, "__pskb_copy_fclone" },
	{ 0x4e3107aa, "__dev_get_by_name" },
	{ 0x12eaa76e, "ether_setup" },
	{ 0xf51daada, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x750d55b2, "pskb_expand_head" },
	{ 0x5d486bf6, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xb356ce29, "brioctl_set" },
	{ 0x79ad1cfc, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xda4e8594, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf6ce5158, "alloc_netdev_mqs" },
	{ 0x1613799e, "passthru_features_check" },
	{ 0xb4c5e9ed, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xfeb7b869, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfd693e54, "__SCK__tp_func_br_mdb_full" },
	{ 0x81a14c5, "rtnl_af_register" },
	{ 0xb9889f4c, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xc48f9163, "__alloc_skb" },
	{ 0x9ae628a3, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6c5668b4, "rtnl_set_sk_err" },
	{ 0x2f2e245e, "skb_vlan_pop" },
	{ 0xfc67434f, "rtnl_unicast" },
	{ 0xfe8ca081, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x20490578, "ipv6_dev_get_saddr" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x208b5d21, "nla_reserve_64bit" },
	{ 0xb12dad2e, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xdfa2e716, "__dev_get_by_index" },
	{ 0x4045a40e, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x30fdad87, "dev_get_port_parent_id" },
	{ 0x1da9ffc7, "init_net" },
	{ 0xc45c41cd, "ipv6_stub" },
	{ 0x83a37958, "inet_confirm_addr" },
	{ 0x557f4131, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6e5bc218, "sysfs_remove_link" },
	{ 0x768824d7, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6e473407, "__SCK__tp_func_br_fdb_add" },
	{ 0x156715f8, "rtnl_af_unregister" },
	{ 0x6f1a4614, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x32ee0aa2, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x2402db04, "dev_get_by_index_rcu" },
	{ 0x8bcb5f6b, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x94a2a4d0, "skb_push" },
	{ 0x66e41bbb, "kmem_cache_free" },
	{ 0x54d53007, "br_fdb_test_addr_hook" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xf0e552c5, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xec7b7d9c, "netdev_upper_dev_unlink" },
	{ 0xf937de26, "netif_receive_skb" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb10e7a0d, "llc_mac_hdr_init" },
	{ 0x6866722a, "__rtnl_register_many" },
	{ 0xd62b5e2e, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc0092e71, "__SCK__tp_func_fdb_delete" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4a8fa3a3, "kobject_init_and_add" },
	{ 0x2fa68933, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4f761358, "ns_capable" },
	{ 0x8357025a, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5233ed73, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x85c30f1e, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x6c957de1, "arp_create" },
	{ 0x73676283, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x503417f6, "stp_proto_register" },
	{ 0xd2341f55, "__tracepoint_br_fdb_update" },
	{ 0x41860803, "sysfs_rename_link_ns" },
	{ 0xb439ac91, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x25a4988e, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x164dac68, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2d68afd6, "__pskb_pull_tail" },
	{ 0x193ecf4e, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xa54a95bf, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x3ff58d8d, "ip_mc_check_igmp" },
	{ 0x20e145be, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x3c088e60, "__kmem_cache_create_args" },
	{ 0xbcdf97dc, "switchdev_port_obj_del" },
	{ 0x9319a70b, "netdev_master_upper_dev_link" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "EE6DF9080CF99AD7262035B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
