#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x1cff0d50, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x8640d3ed, "");
SYMBOL_CRC(dccp_v4_send_check, 0xeb620412, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x401385dc, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0xe65f0c43, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x4b7c88e6, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0xdeed15f6, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x1bd3fecd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x97ddbf3f, "dccp_reqsk_send_ack" },
	{ 0xd53eb8a3, "inet_lookup_reuseport" },
	{ 0xc512d980, "__inet_lookup_listener" },
	{ 0x89df06ad, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x5edcd703, "__skb_ext_del" },
	{ 0x514b42f0, "sock_common_getsockopt" },
	{ 0x128cee47, "inet_bind" },
	{ 0x1001621a, "__inet_inherit_port" },
	{ 0x282cd605, "inet_dccp_listen" },
	{ 0xd3a0b4f7, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x48f428a7, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x1ef6adf6, "pcpu_hot" },
	{ 0xf8568b7d, "__xfrm_policy_check" },
	{ 0x9c720a09, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xea3a8d90, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xf03bd531, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3b514f8d, "sk_error_report" },
	{ 0x5d486bf6, "register_pernet_subsys" },
	{ 0xaf4cff7a, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x67e28193, "inet_getname" },
	{ 0x5fcdfdb3, "inet_stream_connect" },
	{ 0xc0d5c994, "proto_unregister" },
	{ 0x7558d4a1, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x87dccb84, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0xe4011f8e, "dccp_done" },
	{ 0xe5fa4ac6, "inet_release" },
	{ 0x3a8675e5, "__sk_dst_check" },
	{ 0xf3ab459c, "dccp_disconnect" },
	{ 0x49a89143, "ip_route_output_key_hash" },
	{ 0x1d3bd1ca, "proto_register" },
	{ 0x4585c1b, "inet_hash" },
	{ 0x450363ab, "__sk_receive_skb" },
	{ 0x16903a9a, "dccp_poll" },
	{ 0x33483e37, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0xc522ecdf, "inet_csk_get_port" },
	{ 0xda30c9ba, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x9ae8dc58, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xa1f41425, "inet_accept" },
	{ 0xbef5580f, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1df15900, "ip6_mtu" },
	{ 0x6f1a4614, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xe018196, "inet_add_protocol" },
	{ 0x8c45bed7, "inet_shutdown" },
	{ 0x516cd943, "sk_free" },
	{ 0x8a005e9f, "dccp_close" },
	{ 0x6d8fb340, "dccp_reqsk_init" },
	{ 0xad2a79b4, "inet_hash_connect" },
	{ 0x66e41bbb, "kmem_cache_free" },
	{ 0x4fdef954, "inet_csk_route_child_sock" },
	{ 0xdd714604, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5b62e3a4, "security_sk_classify_flow" },
	{ 0x9190d595, "inet_csk_update_pmtu" },
	{ 0xaedda7bb, "dccp_getsockopt" },
	{ 0xc33508f9, "dccp_parse_options" },
	{ 0xb439ac91, "unregister_pernet_subsys" },
	{ 0x1088cb81, "skb_checksum" },
	{ 0xc2bca025, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc4ab3852, "sock_no_mmap" },
	{ 0x2d68afd6, "__pskb_pull_tail" },
	{ 0x349733e7, "dccp_child_process" },
	{ 0x7054f9a9, "sock_common_recvmsg" },
	{ 0x1bed021b, "dccp_setsockopt" },
	{ 0x1ecadfcf, "dccp_ioctl" },
	{ 0x8e386c0f, "inet_sk_rebuild_header" },
	{ 0xa73c68f2, "inet_del_protocol" },
	{ 0x6c7f98d1, "ipv4_mtu" },
	{ 0x350ee8e5, "dccp_recvmsg" },
	{ 0xdd46090d, "inet_sendmsg" },
	{ 0x9644dc5c, "dccp_check_req" },
	{ 0xbb919e68, "dccp_create_openreq_child" },
	{ 0x4b64bf59, "inet_csk_prepare_forced_close" },
	{ 0xe5db368b, "security_skb_classify_flow" },
	{ 0xf86f0a56, "sock_pfree" },
	{ 0x9038194a, "dccp_rcv_established" },
	{ 0x68c8d25b, "dccp_send_sync" },
	{ 0x12fec313, "dst_release" },
	{ 0xf3681d77, "sock_release" },
	{ 0xd897eca6, "dccp_make_response" },
	{ 0xe496d2ae, "dccp_destroy_sock" },
	{ 0x1c602931, "dccp_ctl_make_reset" },
	{ 0xf0d287d3, "sock_gettstamp" },
	{ 0x89f634b4, "sk_setup_caps" },
	{ 0x2dcb7a93, "ip_build_and_send_pkt" },
	{ 0xfca6317f, "dccp_sendmsg" },
	{ 0xfda7ca43, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0x9d468280, "inet_twsk_put" },
	{ 0x8a0013fc, "inet_unhash" },
	{ 0x2ce9a4cd, "ip_getsockopt" },
	{ 0xf9d05728, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf01de85f, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x4ec55bc5, "inet_csk_reqsk_queue_drop" },
	{ 0x7f0b945, "__inet_lookup_established" },
	{ 0xf968c325, "inet_bhash2_reset_saddr" },
	{ 0x2b12cf94, "inet_csk_addr2sockaddr" },
	{ 0x6488323d, "inet_unregister_protosw" },
	{ 0xcb316937, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaec48d4e, "dccp_shutdown" },
	{ 0xa58861c5, "inet_bhash2_update_saddr" },
	{ 0xd55fc3af, "dccp_connect" },
	{ 0x102fa815, "dccp_rcv_state_process" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "67349EA39CB2AF9FCC07215");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
