#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipack_bus_register, "_gpl", "");
KSYMTAB_FUNC(ipack_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(ipack_driver_register, "_gpl", "");
KSYMTAB_FUNC(ipack_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(ipack_device_init, "_gpl", "");
KSYMTAB_FUNC(ipack_device_add, "_gpl", "");
KSYMTAB_FUNC(ipack_device_del, "_gpl", "");
KSYMTAB_FUNC(ipack_get_device, "_gpl", "");
KSYMTAB_FUNC(ipack_put_device, "_gpl", "");

SYMBOL_CRC(ipack_bus_register, 0xb1f8e0d4, "_gpl");
SYMBOL_CRC(ipack_bus_unregister, 0x80815660, "_gpl");
SYMBOL_CRC(ipack_driver_register, 0xd279e2c6, "_gpl");
SYMBOL_CRC(ipack_driver_unregister, 0xdf041641, "_gpl");
SYMBOL_CRC(ipack_device_init, 0xff28be55, "_gpl");
SYMBOL_CRC(ipack_device_add, 0xcf124ae8, "_gpl");
SYMBOL_CRC(ipack_device_del, 0xc5cb053e, "_gpl");
SYMBOL_CRC(ipack_get_device, 0x620d5cbe, "_gpl");
SYMBOL_CRC(ipack_put_device, 0x3cbff74b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf88fe0d2, "bus_for_each_dev" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x541e962d, "driver_register" },
	{ 0xfcc6967, "driver_unregister" },
	{ 0x9832ddd1, "device_add" },
	{ 0x71dc5846, "get_device" },
	{ 0x71b71c88, "put_device" },
	{ 0x4ea0b6a7, "device_del" },
	{ 0xbe36d7e3, "bus_register" },
	{ 0x996422bf, "bus_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xce970c22, "dev_set_name" },
	{ 0x82b210c2, "device_initialize" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb19b445, "ioread8" },
	{ 0xedc03953, "iounmap" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xd2dd38d8, "_dev_warn" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CA833E1B0681ECBDB0529F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
