#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0xb6e3e7f2, "");
SYMBOL_CRC(cx88_querycap, 0x43b2aba7, "");
SYMBOL_CRC(cx88_enum_input, 0x0996a927, "");
SYMBOL_CRC(cx88_set_freq, 0xcd9c21a2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xfb32f17, "cx88_ir_stop" },
	{ 0x9eb09ab8, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x56338665, "video_devdata" },
	{ 0x737ee720, "cx88_set_tvnorm" },
	{ 0xe71d1932, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0xf2d048c4, "v4l2_ctrl_find" },
	{ 0x11dbff66, "cx88_ir_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1b3f1a24, "__v4l2_ctrl_s_ctrl" },
	{ 0x77f68890, "vb2_plane_cookie" },
	{ 0x970b7b72, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8e398d54, "cx88_risc_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x72355e80, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x60e353b9, "cx88_set_stereo" },
	{ 0x8b1b20e6, "vb2_buffer_done" },
	{ 0xe4745c08, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x47ca8cbd, "video_unregister_device" },
	{ 0x9339eef3, "kthread_stop" },
	{ 0x512e2de3, "i2c_new_client_device" },
	{ 0x38ac1d44, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x560546dd, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x45009d82, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x70921762, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x437edd5b, "vb2_fop_read" },
	{ 0x3d03e27d, "cx88_sram_channel_dump" },
	{ 0x9da141d0, "kthread_create_on_node" },
	{ 0xeeaca728, "cx88_sram_channel_setup" },
	{ 0x726ee54b, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe104795b, "__video_register_device" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0xedb37129, "vb2_ioctl_streamon" },
	{ 0x72f95a9c, "vb2_fop_poll" },
	{ 0x15d4d4d4, "v4l2_ctrl_new_std" },
	{ 0x383b08c6, "pci_disable_device" },
	{ 0xc70e9f80, "dma_set_mask" },
	{ 0xa56a6ba2, "v4l2_i2c_new_subdev" },
	{ 0xff483b35, "pci_read_config_byte" },
	{ 0xf1e509ac, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x723e68b, "cx88_newstation" },
	{ 0xd357b76a, "v4l2_event_unsubscribe" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe90d6384, "vb2_ioctl_reqbufs" },
	{ 0x31dba04d, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9f32fd75, "vb2_dma_sg_memops" },
	{ 0x85395421, "cx88_reset" },
	{ 0xc4c6192, "v4l2_ctrl_poll" },
	{ 0x98c35cb5, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb73353f1, "cx88_wakeup" },
	{ 0x4dced1e7, "pci_enable_device" },
	{ 0x7e783099, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x672e1f0f, "v4l2_ctrl_add_handler" },
	{ 0xa5d42625, "v4l2_i2c_new_subdev_board" },
	{ 0x3b7f033e, "cx88_set_scale" },
	{ 0x6241aff4, "__pci_register_driver" },
	{ 0xd532d5b, "cx88_shutdown" },
	{ 0xd27111f4, "cx88_vdev_init" },
	{ 0x75310981, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c1b045e, "vb2_ioctl_querybuf" },
	{ 0x170ba76d, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9163e4c, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x73500216, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4101a687, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbb02e489, "wake_up_process" },
	{ 0xdc4daccc, "cx88_core_get" },
	{ 0x8cba99de, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3AE15AA80EB64ED0E15F34A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
