#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_data_line_cmd, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_do_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_mod_timer, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_initialize_data, "_gpl", "");
KSYMTAB_FUNC(sdhci_prepare_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_needs_reset, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_data_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_present_error, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_vdd_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_preset_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_done_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_complete_work, "_gpl", "");
KSYMTAB_FUNC(sdhci_thread_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0x86a9a8d3, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0xba18e03a, "_gpl");
SYMBOL_CRC(sdhci_data_line_cmd, 0x15c2259a, "_gpl");
SYMBOL_CRC(sdhci_reset, 0x50a4fb47, "_gpl");
SYMBOL_CRC(sdhci_do_reset, 0xb3d39cb0, "_gpl");
SYMBOL_CRC(sdhci_mod_timer, 0xcabf0399, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0xf4478183, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x6121343a, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0xe0733a9b, "_gpl");
SYMBOL_CRC(sdhci_initialize_data, 0x4b2d5495, "_gpl");
SYMBOL_CRC(sdhci_prepare_dma, 0x53f1880d, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0x2ac787b3, "_gpl");
SYMBOL_CRC(sdhci_needs_reset, 0x04316a29, "_gpl");
SYMBOL_CRC(__sdhci_finish_mrq, 0x85f6dca3, "_gpl");
SYMBOL_CRC(sdhci_finish_mrq, 0x5bca77d7, "_gpl");
SYMBOL_CRC(__sdhci_finish_data_common, 0x1d6b452a, "_gpl");
SYMBOL_CRC(sdhci_present_error, 0x81484573, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0x262a680e, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0x9c856b20, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0xee1022b4, "_gpl");
SYMBOL_CRC(sdhci_get_vdd_value, 0x03082f95, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0xb1298951, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0x70ff6c68, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0xfbd98302, "_gpl");
SYMBOL_CRC(sdhci_request, 0x56ef62fa, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0x2ec20241, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0x75eaf151, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0xadab53cb, "_gpl");
SYMBOL_CRC(sdhci_set_ios_common, 0x8724930e, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0xc4a45af6, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0x7e37c488, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0xf3dfc7b4, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x764ade22, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0x930c1d87, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0x55c31c6a, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0x8d0666ab, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0x1cb06cc6, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0x07756d87, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0xde6d026a, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0x24c7a0aa, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0xfbfbb251, "_gpl");
SYMBOL_CRC(sdhci_enable_preset_value, 0x1b8753da, "_gpl");
SYMBOL_CRC(sdhci_request_done_dma, 0xf979f578, "_gpl");
SYMBOL_CRC(sdhci_complete_work, 0x8236c57a, "_gpl");
SYMBOL_CRC(sdhci_thread_irq, 0x9b1d369c, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0x6115ff06, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0x31995157, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0x74186f2b, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x1986769a, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0xfceeff20, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0xc0307f09, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0x20604b80, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0x790f95da, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x95bf48ed, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0x2bfbaa61, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0x2621dc17, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0x9170d42f, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0x135c18d6, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0x706561cc, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0xa18e9365, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7649d0a6, "dma_map_sg_attrs" },
	{ 0xe08dd6d3, "__dma_sync_single_for_device" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x9067d6ac, "dma_unmap_sg_attrs" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x68cfa46c, "__dma_sync_single_for_cpu" },
	{ 0xfbfc0b42, "mmc_alloc_host" },
	{ 0x726ee54b, "dma_free_attrs" },
	{ 0xebf4a873, "regulator_disable" },
	{ 0x40d8278c, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe29e98ba, "mmc_retune_timer_stop" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf8e97b98, "__dma_sync_sg_for_cpu" },
	{ 0x17f9f141, "mmc_send_abort_tuning" },
	{ 0xe443a905, "mmc_request_done" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90ec67a0, "mmc_regulator_set_ocr" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x15316e9a, "mmc_gpio_get_cd" },
	{ 0x83f6a7e1, "mmc_can_gpio_cd" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x55486c39, "mmc_detect_change" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x54b2d29b, "led_classdev_register_ext" },
	{ 0x11cc508d, "mmc_add_host" },
	{ 0xc4b6c648, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa7ab142f, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xdc059e8a, "mmc_can_gpio_ro" },
	{ 0x8e6d289f, "mmc_gpio_get_ro" },
	{ 0x84534471, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x106f2c8d, "device_property_read_u64_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaef9b54d, "regulator_is_supported_voltage" },
	{ 0x7b6867af, "regulator_get_current_limit" },
	{ 0x8e0c1c47, "regulator_enable" },
	{ 0x2e5a66eb, "dma_alloc_attrs" },
	{ 0x3d9a2164, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4f57a642, "dma_map_page_attrs" },
	{ 0x3900a5a3, "devm_kfree" },
	{ 0xf6631232, "mmc_regulator_get_supply" },
	{ 0xf78a8060, "dma_max_mapping_size" },
	{ 0xc70e9f80, "dma_set_mask" },
	{ 0x5ee14604, "dma_set_coherent_mask" },
	{ 0x4afa1d, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe4e0bb96, "sg_miter_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6e899b03, "mmc_command_done" },
	{ 0x187e2253, "sdio_signal_irq" },
	{ 0xa5f08d6a, "sg_miter_next" },
	{ 0x1e7c2711, "sg_miter_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc15c3943, "param_ops_uint" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "3CF9A24B13F623438CB5E2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
