#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_get_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0x849e188a, "");
SYMBOL_CRC(b53_enable_port, 0x0ac44e10, "");
SYMBOL_CRC(b53_disable_port, 0x37a0e087, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x04cc57c5, "");
SYMBOL_CRC(b53_configure_vlan, 0x741bc954, "");
SYMBOL_CRC(b53_get_strings, 0x183e88d6, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0x413fba62, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0x4552b718, "");
SYMBOL_CRC(b53_get_sset_count, 0x342b9a6c, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0x3b0d7926, "");
SYMBOL_CRC(b53_port_event, 0x5e6ce090, "");
SYMBOL_CRC(b53_vlan_filtering, 0x6bb3d1c9, "");
SYMBOL_CRC(b53_vlan_add, 0x6d4a029b, "");
SYMBOL_CRC(b53_vlan_del, 0x28cda0b0, "");
SYMBOL_CRC(b53_fdb_add, 0x116fe2ae, "");
SYMBOL_CRC(b53_fdb_del, 0x3614ea86, "");
SYMBOL_CRC(b53_fdb_dump, 0xdd40f77a, "");
SYMBOL_CRC(b53_mdb_add, 0x13c15f42, "");
SYMBOL_CRC(b53_mdb_del, 0x0fb334aa, "");
SYMBOL_CRC(b53_br_join, 0xd16f65a3, "");
SYMBOL_CRC(b53_br_leave, 0x8e52ffa4, "");
SYMBOL_CRC(b53_br_set_stp_state, 0xd4714f9a, "");
SYMBOL_CRC(b53_br_fast_age, 0xab2980a9, "");
SYMBOL_CRC(b53_br_flags_pre, 0x7f83f162, "");
SYMBOL_CRC(b53_br_flags, 0xf8d1057c, "");
SYMBOL_CRC(b53_get_tag_protocol, 0x2ede5b34, "");
SYMBOL_CRC(b53_mirror_add, 0x8de408ec, "");
SYMBOL_CRC(b53_mirror_del, 0xb1e9deef, "");
SYMBOL_CRC(b53_eee_init, 0xd5109ea3, "");
SYMBOL_CRC(b53_get_mac_eee, 0xc22bd335, "");
SYMBOL_CRC(b53_set_mac_eee, 0xf568f5ab, "");
SYMBOL_CRC(b53_switch_alloc, 0xb5caae5c, "");
SYMBOL_CRC(b53_switch_detect, 0x3bf0e99f, "");
SYMBOL_CRC(b53_switch_register, 0xa14e4d29, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc25e020, "dsa_devlink_resources_unregister" },
	{ 0xe9b63130, "dsa_devlink_resource_register" },
	{ 0xdc1e0fdd, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2dd38d8, "_dev_warn" },
	{ 0x3d9a2164, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xab58a2bf, "mdiobus_get_phy" },
	{ 0xce15406f, "phy_ethtool_get_stats" },
	{ 0xea2fb7e9, "phy_ethtool_get_sset_count" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xd838cba5, "phy_ethtool_get_strings" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x446ee3f8, "dsa_port_phylink_mac_change" },
	{ 0x93ad40ea, "phy_init_eee" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x75257b76, "_dev_info" },
	{ 0xcbe0f983, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8479afc, "gpio_to_desc" },
	{ 0xf2995c74, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "23CA4F9951FE7DA4768D84E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
