#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(geneve_dev_create_fb, "_gpl", "");

SYMBOL_CRC(geneve_dev_create_fb, 0xb7efb6ba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x79ad1cfc, "dev_addr_mod" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3fa405e8, "unregister_netdevice_queue" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xd5229311, "udp_tunnel_notify_add_rx_port" },
	{ 0x66311958, "setup_udp_tunnel_sock" },
	{ 0x37a0cba, "kfree" },
	{ 0x18bfcfee, "udp_tunnel_notify_del_rx_port" },
	{ 0x9889c806, "udp_tunnel_sock_release" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7041a414, "rtnl_create_link" },
	{ 0x7f3c307, "rtnl_configure_link" },
	{ 0xd62b5e2e, "free_netdev" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2d68afd6, "__pskb_pull_tail" },
	{ 0xb0c45ab, "skb_copy_bits" },
	{ 0x6f1a4614, "sk_skb_reason_drop" },
	{ 0x27cac908, "__iptunnel_pull_header" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xd7c39552, "udp_tun_rx_dst" },
	{ 0x43cf9633, "gro_cells_receive" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x17b3586f, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x56470118, "__warn_printk" },
	{ 0x92997ed8, "_printk" },
	{ 0x16395d9f, "udp_tunnel_dst_lookup" },
	{ 0x4f14a188, "udp_tunnel6_dst_lookup" },
	{ 0x34958b58, "__skb_get_hash_net" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8b3d919e, "eth_gro_receive" },
	{ 0xa56420a4, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x8ec69c2f, "consume_skb" },
	{ 0x2fd1c130, "skb_tunnel_check_pmtu" },
	{ 0x85a2bafe, "metadata_dst_alloc" },
	{ 0x3ee65563, "__netif_rx" },
	{ 0x18b47e24, "udp_tunnel6_xmit_skb" },
	{ 0xa3cbed1a, "udp_tunnel_xmit_skb" },
	{ 0xe6699187, "__dynamic_netdev_dbg" },
	{ 0x1ee16eae, "ip6_dst_hoplimit" },
	{ 0xbf55994f, "metadata_dst_free" },
	{ 0x85c30f1e, "ethtool_op_get_link" },
	{ 0x658d32a2, "eth_mac_addr" },
	{ 0x461cd030, "eth_validate_addr" },
	{ 0xb52edf63, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x441c851, "skb_scrub_packet" },
	{ 0x750d55b2, "pskb_expand_head" },
	{ 0xa3c83e24, "iptunnel_handle_offloads" },
	{ 0x12fec313, "dst_release" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4262d289, "eth_gro_complete" },
	{ 0x835f2df7, "gro_find_complete_by_type" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7fa018ba, "udp_sock_create4" },
	{ 0x1e0f566, "udp_sock_create6" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1918f639, "register_netdevice" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5d486bf6, "register_pernet_subsys" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc7c08b5, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb439ac91, "unregister_pernet_subsys" },
	{ 0x4d80bbbf, "udp_tunnel_push_rx_port" },
	{ 0x1e05f803, "udp_tunnel_drop_rx_port" },
	{ 0x4045a40e, "rtnl_link_unregister" },
	{ 0x42255b74, "rt6_lookup" },
	{ 0xea3a8d90, "ip_route_output_flow" },
	{ 0x50656cb1, "gro_cells_init" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x12eaa76e, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2A4B81E20429AB9DDB660FA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
