#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xd5959a9d, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x40c180cb, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xa582add0, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xad6171f8, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x72169c74, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x39183abc, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xb4cbd308, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xb002ce1d, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xf16ba6e1, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xb8816afd, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xcd828d66, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x4418f8ca, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x5168eea6, "_gpl");
SYMBOL_CRC(usbnet_open, 0x77c84435, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xb73ddbba, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x54954f9d, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xebb137e9, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xad6a49a6, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x7548a222, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x1200be1d, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x742a718c, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x0e6bdd0a, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xe9fa7372, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x59580a51, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x5749a42c, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x77360f09, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xb8d7d522, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xd643cb02, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x8de57f5b, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x20057ea0, "");
SYMBOL_CRC(usbnet_manage_power, 0x00b5be6e, "");
SYMBOL_CRC(usbnet_link_change, 0x7c0ef624, "");
SYMBOL_CRC(usbnet_read_cmd, 0xf81d0d9d, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x4d24b4a6, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x00ce6af9, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x004e9738, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x23522f79, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6f9854e0, "usb_set_interface" },
	{ 0x97217a36, "usb_string" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x79ad1cfc, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa54a95bf, "netif_rx" },
	{ 0x17b3586f, "eth_type_trans" },
	{ 0xfba91a8a, "skb_queue_tail" },
	{ 0xe6699187, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x496f61c7, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6e0dc7cf, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe29f0b6b, "usb_unlink_urb" },
	{ 0xb330a8d4, "usb_free_urb" },
	{ 0x9ae628a3, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x612e3b4b, "usb_submit_urb" },
	{ 0xf51daada, "netdev_err" },
	{ 0xd143b385, "mii_ethtool_get_link_ksettings" },
	{ 0xf36e20b5, "mii_ethtool_set_link_ksettings" },
	{ 0x26c07281, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf4b7fc9, "unregister_netdev" },
	{ 0x8ec69c2f, "consume_skb" },
	{ 0x85690a3b, "usb_get_from_anchor" },
	{ 0xc471cf81, "usb_kill_urb" },
	{ 0xd62b5e2e, "free_netdev" },
	{ 0xd5464b11, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x87f3895, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6aefd00, "netif_device_attach" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8b0caea3, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaa7b6857, "usb_autopm_get_interface" },
	{ 0xea4b120b, "usb_autopm_put_interface" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x84f48e09, "usb_alloc_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0x6d9cbf6c, "mii_link_ok" },
	{ 0x85c30f1e, "ethtool_op_get_link" },
	{ 0x18edd279, "usb_autopm_put_interface_async" },
	{ 0x1f7d4ed6, "netif_carrier_on" },
	{ 0xf32862a7, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5a75275, "skb_dequeue" },
	{ 0xe673bcfc, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2c1ef8b0, "register_netdev" },
	{ 0xa6572fcb, "pm_runtime_enable" },
	{ 0x931362f0, "usb_check_bulk_endpoints" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x507297fa, "usb_autopm_get_interface_async" },
	{ 0x20bf106d, "skb_tstamp_tx" },
	{ 0xdab3270b, "dev_kfree_skb_any_reason" },
	{ 0xaea92d8a, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x20e145be, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0x281a566e, "netif_tx_wake_queue" },
	{ 0xdc650fcf, "usb_autopm_get_interface_no_resume" },
	{ 0x64c1aa8d, "skb_put" },
	{ 0xd7396225, "usb_clear_halt" },
	{ 0x658d32a2, "eth_mac_addr" },
	{ 0x461cd030, "eth_validate_addr" },
	{ 0xc1cd61a8, "ethtool_op_get_ts_info" },
	{ 0xf1e509ac, "param_ops_int" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "DFB1B1170CF0A5915C4CD78");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
