#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(lbtf_debug, "_gpl", "");
KSYMTAB_FUNC(lbtf_rx, "_gpl", "");
KSYMTAB_FUNC(lbtf_add_card, "_gpl", "");
KSYMTAB_FUNC(lbtf_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbtf_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbtf_bcn_sent, "_gpl", "");
KSYMTAB_FUNC(lbtf_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(__lbtf_cmd, "_gpl", "");
KSYMTAB_FUNC(lbtf_cmd_response_rx, "_gpl", "");

SYMBOL_CRC(lbtf_debug, 0xc85e6899, "_gpl");
SYMBOL_CRC(lbtf_rx, 0xb87b3693, "_gpl");
SYMBOL_CRC(lbtf_add_card, 0xf7d3923a, "_gpl");
SYMBOL_CRC(lbtf_remove_card, 0x9c441036, "_gpl");
SYMBOL_CRC(lbtf_send_tx_feedback, 0x1ed12d49, "_gpl");
SYMBOL_CRC(lbtf_bcn_sent, 0x165ed94e, "_gpl");
SYMBOL_CRC(lbtf_cmd_copyback, 0xfc4cfc70, "_gpl");
SYMBOL_CRC(__lbtf_cmd, 0x5da80032, "_gpl");
SYMBOL_CRC(lbtf_cmd_response_rx, 0xeabae8ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a84c50a, "ieee80211_register_hw" },
	{ 0xb6862106, "ieee80211_emulate_change_chanctx" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1acf9d81, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xae4f6f89, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xe03daade, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75257b76, "_dev_info" },
	{ 0xfba91a8a, "skb_queue_tail" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x557f4131, "skb_pull" },
	{ 0x6f1a4614, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x94a2a4d0, "skb_push" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x81256b82, "ieee80211_wake_queues" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xeff30702, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5a6273bc, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x312a4106, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5be6692b, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x54e8631d, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf3543e43, "ieee80211_beacon_get_tim" },
	{ 0xdab3270b, "dev_kfree_skb_any_reason" },
	{ 0xf1e509ac, "param_ops_int" },
	{ 0x45d11829, "ieee80211_emulate_remove_chanctx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0x94291298, "ieee80211_rx_irqsafe" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5a75275, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd4c8d7ec, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "mac80211");


MODULE_INFO(srcversion, "7DA56B97EE98003B8CCFFD4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
