#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0x3a0bf4a7, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0x211a988a, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x79cef62e, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0xf1586cf6, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0x9ebb70c0, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0x24866e9c, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6ce5158, "alloc_netdev_mqs" },
	{ 0xcd610606, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd65fa85b, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xae06eac2, "cfg80211_put_bss" },
	{ 0x852e469a, "cfg80211_ch_switch_notify" },
	{ 0xfba91a8a, "skb_queue_tail" },
	{ 0xfd1317b2, "ieee80211_get_channel_khz" },
	{ 0xcb0bdd51, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1f614722, "__cfg80211_radar_event" },
	{ 0x9a4c085c, "cfg80211_get_drvinfo" },
	{ 0x1da9ffc7, "init_net" },
	{ 0x13d3b196, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5cc25e44, "cfg80211_michael_mic_failure" },
	{ 0xf5a4ac9d, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xda634f0e, "debugfs_remove" },
	{ 0x5b5c6080, "cfg80211_del_sta_sinfo" },
	{ 0x9de46268, "cfg80211_update_owe_info_event" },
	{ 0x5d2a5ff4, "wiphy_unregister" },
	{ 0xd62b5e2e, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xaa492f6a, "netif_tx_stop_all_queues" },
	{ 0x281a566e, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x18ee856e, "wdev_chandef" },
	{ 0x20e145be, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb0a22c1, "cfg80211_unregister_wdev" },
	{ 0x4da54a6b, "platform_device_register_full" },
	{ 0xdcee426a, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb52edf63, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf32862a7, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1f7d4ed6, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9a99c895, "netdev_walk_all_lower_dev" },
	{ 0x44de92a0, "cfg80211_inform_bss_data" },
	{ 0x7a893afe, "cfg80211_shutdown_all_interfaces" },
	{ 0xdab3270b, "dev_kfree_skb_any_reason" },
	{ 0xaa174960, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0xd6cd0467, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4c9678cb, "cfg80211_connect_done" },
	{ 0x36d81590, "__cfg80211_get_bss" },
	{ 0x4b821930, "wiphy_free" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0x1b9dc252, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x658d32a2, "eth_mac_addr" },
	{ 0x64c1aa8d, "skb_put" },
	{ 0xf3618273, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8ec69c2f, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66155794, "cfg80211_cac_event" },
	{ 0x5a75275, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa70c57d1, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x69acdf38, "memcpy" },
	{ 0x410b5869, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x15abaf29, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x143da175, "cfg80211_new_sta" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x56f5edea, "cfg80211_disconnected" },
	{ 0x12eaa76e, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbdda6449, "netdev_port_same_parent_id" },
	{ 0x79ad1cfc, "dev_addr_mod" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "64D2906C8697FF93844C01C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
