#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8552f877, "rt2x00usb_disable_radio" },
	{ 0xb10e483b, "rt2x00usb_disconnect" },
	{ 0x316285b0, "rt2x00usb_suspend" },
	{ 0x89ca4f9a, "rt2x00usb_resume" },
	{ 0xf2ee61b2, "rt2x00usb_initialize" },
	{ 0xc89b7470, "rt2x00usb_uninitialize" },
	{ 0xd12bbcb3, "rt2x00usb_clear_entry" },
	{ 0xec9d750a, "rt2x00usb_watchdog" },
	{ 0xf1129ae0, "rt2x00usb_kick_queue" },
	{ 0xcad9225d, "rt2x00usb_flush_queue" },
	{ 0x90e61100, "rt2x00mac_tx" },
	{ 0x4ce0f0b5, "rt2x00mac_start" },
	{ 0x9a0cef37, "rt2x00mac_stop" },
	{ 0xbf8718a4, "rt2x00mac_add_interface" },
	{ 0x39b69ac, "rt2x00mac_remove_interface" },
	{ 0x57524a6c, "rt2x00mac_config" },
	{ 0xbcfbfc7a, "rt2x00mac_bss_info_changed" },
	{ 0x86a9f671, "rt2x00mac_configure_filter" },
	{ 0x987c624c, "rt2x00mac_set_tim" },
	{ 0x52facb34, "rt2x00mac_set_key" },
	{ 0x92130280, "rt2x00mac_sw_scan_start" },
	{ 0xfe321e00, "rt2x00mac_sw_scan_complete" },
	{ 0xfc3395b4, "rt2x00mac_get_stats" },
	{ 0xc16e047d, "rt2x00mac_conf_tx" },
	{ 0xe171b931, "rt2x00mac_rfkill_poll" },
	{ 0xf24f5e6a, "rt2x00mac_flush" },
	{ 0xd1d6c1d8, "rt2x00mac_set_antenna" },
	{ 0x4651c94d, "rt2x00mac_get_antenna" },
	{ 0xd1eadd2, "rt2x00mac_get_ringparam" },
	{ 0xd830a9a5, "rt2x00mac_tx_frames_pending" },
	{ 0x5a6273bc, "ieee80211_emulate_add_chanctx" },
	{ 0x45d11829, "ieee80211_emulate_remove_chanctx" },
	{ 0xb6862106, "ieee80211_emulate_change_chanctx" },
	{ 0x312a4106, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xae4f6f89, "ieee80211_handle_wake_tx_queue" },
	{ 0xb52edf63, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdce73757, "usb_register_driver" },
	{ 0xa99a1b5c, "rt2x00usb_probe" },
	{ 0x69acdf38, "memcpy" },
	{ 0x72367042, "skb_trim" },
	{ 0x8ec69c2f, "consume_skb" },
	{ 0x612e3b4b, "usb_submit_urb" },
	{ 0xbfade244, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x91da01a6, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x208ca80f, "rt2x00usb_vendor_request_buff" },
	{ 0xb9c18b91, "rt2x00usb_vendor_request" },
	{ 0x198f4eae, "rt2x00lib_set_mac_address" },
	{ 0x75257b76, "_dev_info" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x94a2a4d0, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
