#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0xc273eda6, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0xe7e6a6b3, "");
SYMBOL_CRC(pcmcia_dev_present, 0x2928dd6a, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0x4ab53834, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0x3664cb48, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0xf7f122d0, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0x9a7606e8, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0xa0120550, "");
SYMBOL_CRC(pcmcia_release_window, 0x26e0e6d5, "");
SYMBOL_CRC(pcmcia_enable_device, 0x4ae3ec46, "");
SYMBOL_CRC(pcmcia_request_io, 0xa32f6ca2, "");
SYMBOL_CRC(pcmcia_request_irq, 0x4c977c0a, "");
SYMBOL_CRC(pcmcia_request_window, 0x83f19b79, "");
SYMBOL_CRC(pcmcia_disable_device, 0x863c3c9b, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0x34c1e12e, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0x86d07ae6, "");
SYMBOL_CRC(pcmcia_get_tuple, 0x9fea0306, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0xcf392927, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfcc6967, "driver_unregister" },
	{ 0x28994bfb, "class_interface_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfe55043, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe7008584, "device_register" },
	{ 0x69889d6f, "pcmcia_parse_uevents" },
	{ 0xfb578fc5, "memset" },
	{ 0xd2dd38d8, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x521aa772, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xed0aa1e6, "_dev_notice" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x85b02722, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0x7b312d9e, "pcmcia_put_socket" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf1e509ac, "param_ops_int" },
	{ 0x54bf7f9f, "sysfs_remove_bin_file" },
	{ 0x541e962d, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0xbe36d7e3, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xae05932c, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xafb203db, "pcmcia_get_socket" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xce970c22, "dev_set_name" },
	{ 0x1acfcf59, "driver_remove_file" },
	{ 0x9d507418, "driver_attach" },
	{ 0x40535989, "device_unregister" },
	{ 0xdf1b5fd7, "request_firmware" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc89fb562, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x71dc5846, "get_device" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x79ad1cfc, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x71b71c88, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xfdeb6a39, "driver_create_file" },
	{ 0xf88fe0d2, "bus_for_each_dev" },
	{ 0x75257b76, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0x37c34cc5, "pccard_register_pcmcia" },
	{ 0xa22a4934, "module_put" },
	{ 0x996422bf, "bus_unregister" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "1B92392FB7B7C34C1A62744");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
