#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(proc_thermal_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_remove, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_suspend, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_resume, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_remove, "_gpl", "");

SYMBOL_CRC(proc_thermal_add, 0xdf42a4e8, "_gpl");
SYMBOL_CRC(proc_thermal_remove, 0x7d26b0b3, "_gpl");
SYMBOL_CRC(proc_thermal_suspend, 0x99c59643, "_gpl");
SYMBOL_CRC(proc_thermal_resume, 0x3530bdd8, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_add, 0x0f4fbd0a, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_remove, 0x73bb3548, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x1936331f, "intel_tcc_set_offset" },
	{ 0xbf50fb6a, "is_acpi_device_node" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xafaf2e06, "int340x_thermal_zone_add" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x69c3c118, "sysfs_create_file_ns" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x44977e64, "int340x_thermal_zone_remove" },
	{ 0xa1186518, "intel_tcc_get_tjmax" },
	{ 0x5233ed73, "sysfs_create_group" },
	{ 0x708631f9, "sysfs_remove_file_ns" },
	{ 0x44ef2398, "sysfs_remove_group" },
	{ 0xd2dd38d8, "_dev_warn" },
	{ 0x7d066133, "pcim_iomap_regions" },
	{ 0xa6da8450, "pcim_iomap_table" },
	{ 0xf4023e63, "proc_thermal_wt_hint_add" },
	{ 0xe3c6f88, "proc_thermal_rfim_add" },
	{ 0x18729e3b, "proc_thermal_wt_req_add" },
	{ 0x153be178, "proc_thermal_rapl_add" },
	{ 0xb21db295, "proc_thermal_rfim_remove" },
	{ 0x98e82d4, "proc_thermal_rapl_remove" },
	{ 0x854e1836, "proc_thermal_wt_hint_remove" },
	{ 0xcfed47e, "proc_thermal_wt_req_remove" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0x6cfc1ad7, "thermal_zone_device_update" },
	{ 0x7e0fbbc7, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x5a43f405, "proc_thermal_power_floor_set_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf5d72f6c, "proc_thermal_power_floor_get_state" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb1de9a8c, "proc_thermal_read_power_floor_status" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c32aa7b, "intel_tcc_get_offset" },
	{ 0xdb0da161, "intel_tcc_get_temp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "int340x_thermal_zone,processor_thermal_wt_hint,processor_thermal_rfim,processor_thermal_wt_req,processor_thermal_rapl,processor_thermal_power_floor");


MODULE_INFO(srcversion, "1D4B87AA6FB26DBBAA8DF32");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
