#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rndis_borrow_net, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_connect, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_disconnect, "_gpl", "");
KSYMTAB_FUNC(rndis_uninit, "_gpl", "");
KSYMTAB_FUNC(rndis_set_host_mac, "_gpl", "");
KSYMTAB_FUNC(rndis_msg_parser, "_gpl", "");
KSYMTAB_FUNC(rndis_register, "_gpl", "");
KSYMTAB_FUNC(rndis_deregister, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_dev, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_vendor, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_medium, "_gpl", "");
KSYMTAB_FUNC(rndis_add_hdr, "_gpl", "");
KSYMTAB_FUNC(rndis_free_response, "_gpl", "");
KSYMTAB_FUNC(rndis_get_next_response, "_gpl", "");
KSYMTAB_FUNC(rndis_rm_hdr, "_gpl", "");

SYMBOL_CRC(rndis_borrow_net, 0x9375d85f, "_gpl");
SYMBOL_CRC(rndis_signal_connect, 0x1738bc98, "_gpl");
SYMBOL_CRC(rndis_signal_disconnect, 0xf3bbef5c, "_gpl");
SYMBOL_CRC(rndis_uninit, 0x7fa126ff, "_gpl");
SYMBOL_CRC(rndis_set_host_mac, 0xe3a8272e, "_gpl");
SYMBOL_CRC(rndis_msg_parser, 0x605c7e64, "_gpl");
SYMBOL_CRC(rndis_register, 0x98c23526, "_gpl");
SYMBOL_CRC(rndis_deregister, 0xa5e830b7, "_gpl");
SYMBOL_CRC(rndis_set_param_dev, 0xba1c6c53, "_gpl");
SYMBOL_CRC(rndis_set_param_vendor, 0x39a375f7, "_gpl");
SYMBOL_CRC(rndis_set_param_medium, 0x71a619bf, "_gpl");
SYMBOL_CRC(rndis_add_hdr, 0x94fcf5c8, "_gpl");
SYMBOL_CRC(rndis_free_response, 0x796cd0eb, "_gpl");
SYMBOL_CRC(rndis_get_next_response, 0x6b0e6f16, "_gpl");
SYMBOL_CRC(rndis_rm_hdr, 0x6d485bf6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44267793, "gether_get_host_addr_u8" },
	{ 0xdac665c7, "gether_set_qmult" },
	{ 0xe0d5a4be, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x47e09f18, "gether_get_host_addr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x94a2a4d0, "skb_push" },
	{ 0xe5fc7dff, "gether_set_gadget" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd62b5e2e, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8db0ca15, "usb_ep_autoconfig" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xe51476f8, "usb_put_function_instance" },
	{ 0x281a566e, "netif_tx_wake_queue" },
	{ 0xc95985c5, "gether_connect" },
	{ 0x838a8a71, "gether_get_dev_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4783fff, "gether_set_host_addr" },
	{ 0x72367042, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x88914849, "usb_function_unregister" },
	{ 0x8878cfa6, "gether_cleanup" },
	{ 0x4b93bd1a, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0xab02cad6, "gether_get_ifname" },
	{ 0xa8b8f66f, "gether_set_ifname" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0xf32862a7, "netif_carrier_off" },
	{ 0x1f7d4ed6, "netif_carrier_on" },
	{ 0x18dddc14, "gether_setup_name_default" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0x68e2f167, "gether_get_qmult" },
	{ 0x754d539c, "strlen" },
	{ 0xdab3270b, "dev_kfree_skb_any_reason" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4e99238b, "usb_free_all_descriptors" },
	{ 0xa5f58c5, "usb_gstrings_attach" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x5b51abe8, "dev_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xaa02012b, "usb_os_desc_prepare_interf_dir" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8ec69c2f, "consume_skb" },
	{ 0x478690ff, "usb_interface_id" },
	{ 0x84f3d4fb, "usb_assign_descriptors" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x213c481c, "gether_disconnect" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x14ca806a, "config_ep_by_speed" },
	{ 0x4b19c6da, "gether_set_dev_addr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4050d88, "gether_register_netdev" },
	{ 0xfba91a8a, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xcd90874, "usb_function_register" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x557f4131, "skb_pull" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "u_ether,configfs,libcomposite");


MODULE_INFO(srcversion, "4FC2C0E068EB8031083783C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
