#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(__usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0x730a571e, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x4e8ecd34, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0xa251a678, "");
SYMBOL_CRC(usb_serial_resume, 0xceb7803d, "");
SYMBOL_CRC(__usb_serial_register_drivers, 0xfb852e64, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x9e70c63a, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0xda941b0a, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xeff700b9, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x07168e01, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0x862bb760, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x4f485213, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x3cdfacfb, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0xa7e01792, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0x5f1581b3, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0xa6bb6266, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0xa756df5b, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x22f8c763, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x541342bf, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0xd66fb497, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x85e809cb, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x5e4f3a2c, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x33f002b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18bfa9b3, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb23877f0, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa6029fe7, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x71b71c88, "put_device" },
	{ 0x58c6a6c4, "usb_get_dev" },
	{ 0x9ae628a3, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x612e3b4b, "usb_submit_urb" },
	{ 0x75257b76, "_dev_info" },
	{ 0x2125942a, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa22a4934, "module_put" },
	{ 0x10b2088, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x69ae3063, "usb_match_id" },
	{ 0x1255d285, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x996422bf, "bus_unregister" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x9832ddd1, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xc715e98c, "tty_ldisc_ref" },
	{ 0x56c9eac5, "tty_vhangup" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb577565b, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd18ce0a3, "tty_port_destroy" },
	{ 0x5f66721d, "tty_port_init" },
	{ 0x8f15450e, "usb_driver_claim_interface" },
	{ 0xa6bb4572, "seq_putc" },
	{ 0x530fd17, "usb_poison_urb" },
	{ 0xec4726ea, "usb_unpoison_urb" },
	{ 0xfcc6967, "driver_unregister" },
	{ 0xaf79dfbe, "tty_port_register_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xda72a37e, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbfade244, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4ea0b6a7, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x1af3aed, "tty_port_close" },
	{ 0xd2dd38d8, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xaa7b6857, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2326ea45, "tty_register_driver" },
	{ 0xa821c4e0, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0xc471cf81, "usb_kill_urb" },
	{ 0xec24d97c, "usb_dynids_lock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x40b94dee, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb12d906e, "seq_printf" },
	{ 0x41429670, "tty_port_open" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x541e962d, "driver_register" },
	{ 0xbe65825, "tty_driver_kref_put" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0xbe36d7e3, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4d36ec8d, "tty_port_tty_get" },
	{ 0x7509da3f, "usb_put_intf" },
	{ 0x84f48e09, "usb_alloc_urb" },
	{ 0xea4b120b, "usb_autopm_put_interface" },
	{ 0xae05932c, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb330a8d4, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xce970c22, "dev_set_name" },
	{ 0x7098254a, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x33344d0b, "tty_flip_buffer_push" },
	{ 0x9d507418, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa464f994, "tty_kref_put" },
	{ 0xdce73757, "usb_register_driver" },
	{ 0xebe62f3e, "usb_match_one_id" },
	{ 0x82b210c2, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x6defef61, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x6a4e3a89, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7f16e2af, "usb_show_dynids" },
	{ 0x4a12736c, "tty_hangup" },
	{ 0x708872bc, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "EA806393B45A62B7E3C325D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
