#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x3a5d192c, "tcf_unregister_action" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x72367042, "skb_trim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xbfb767e9, "flow_offload_lookup" },
	{ 0x1da9ffc7, "init_net" },
	{ 0xd1706e8f, "flow_offload_refresh" },
	{ 0xcda8b2b2, "nf_ct_acct_add" },
	{ 0x2d68afd6, "__pskb_pull_tail" },
	{ 0xaa1b4a72, "flow_offload_teardown" },
	{ 0x7e0fbbc7, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x1ef6adf6, "pcpu_hot" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0x149d6d34, "nf_conntrack_helper_put" },
	{ 0x348c8125, "nf_connlabels_put" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xc5053956, "nf_nat_helper_put" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x62b1e8f9, "tcf_idr_check_alloc" },
	{ 0xdc13c67, "tcf_action_check_ctrlact" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x5f144982, "nf_flow_table_init" },
	{ 0x8b3566dc, "__module_get" },
	{ 0xd2d70520, "tcf_chain_put_by_act" },
	{ 0xf87ddb04, "tcf_idr_release" },
	{ 0x8c132c9d, "tcf_idr_create_from_flags" },
	{ 0x7fb9688f, "tcf_idr_cleanup" },
	{ 0x1d268059, "nf_connlabels_get" },
	{ 0x3fb1e328, "nf_ct_tmpl_alloc" },
	{ 0x6211b45, "nf_ct_add_helper" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7acc0e36, "tcf_action_set_ctrlact" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x45236a69, "skb_pull_rcsum" },
	{ 0x1f280a80, "ipv6_find_hdr" },
	{ 0xf48251ca, "nf_ct_handle_fragments" },
	{ 0x73b15c34, "nf_ct_skb_network_trim" },
	{ 0x109eda55, "nf_conntrack_in" },
	{ 0xb0c45ab, "skb_copy_bits" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x94a2a4d0, "skb_push" },
	{ 0x87249b95, "nf_ct_deliver_cached_events" },
	{ 0x28de8120, "nf_ct_nat" },
	{ 0xf4258a59, "nf_ct_helper" },
	{ 0x4e6c99f8, "flow_offload_alloc" },
	{ 0xe0a4b420, "flow_offload_add" },
	{ 0x13b5f674, "flow_offload_free" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1eae7e69, "__nf_ct_try_assign_helper" },
	{ 0xd3d497df, "nf_connlabels_replace" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x4e2c89af, "nf_ct_delete" },
	{ 0xfe1364f8, "nf_ct_ext_add" },
	{ 0x36125883, "__nf_conntrack_confirm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949ed941, "tcf_idrinfo_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4a4b7276, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x54ecfa8f, "nf_flow_table_free" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xa22a4934, "module_put" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xc39a0dcd, "tcf_register_action" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_flow_table,nf_nat");


MODULE_INFO(srcversion, "81A7EFC116157ADF65292ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
