#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(codec_info_list, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_info_list_count, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_part, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_acpi, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_dai, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_startup, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_prepare, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_trigger, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_params, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_free, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_shutdown, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_name, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_find_codec_dai_used, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_dailink_exit_loop, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_card_late_probe, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_simple_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_count_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_dailink, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_parse_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_dmic_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt700_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt5682_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_DATA(soc_sdw_rt1308_i2s_ops, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_mf_sdca_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_count_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_add_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l42_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_hs_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_init, "", "SND_SOC_SDW_UTILS");

SYMBOL_CRC(codec_info_list, 0x0c4604c0, "");
SYMBOL_CRC(asoc_sdw_get_codec_info_list_count, 0xcb490bf7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_part, 0x7d2ee3f6, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_acpi, 0x52254161, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_dai, 0x722f65d4, "");
SYMBOL_CRC(asoc_sdw_rtd_init, 0xb60f6f08, "");
SYMBOL_CRC(asoc_sdw_startup, 0xdc0f2801, "");
SYMBOL_CRC(asoc_sdw_prepare, 0x2321795f, "");
SYMBOL_CRC(asoc_sdw_trigger, 0x018697ed, "");
SYMBOL_CRC(asoc_sdw_hw_params, 0xda42063c, "");
SYMBOL_CRC(asoc_sdw_hw_free, 0xb2a3bc18, "");
SYMBOL_CRC(asoc_sdw_shutdown, 0x9939113c, "");
SYMBOL_CRC(asoc_sdw_get_codec_name, 0xcf59bb33, "");
SYMBOL_CRC(asoc_sdw_mc_find_codec_dai_used, 0xc9ac77e6, "");
SYMBOL_CRC(asoc_sdw_mc_dailink_exit_loop, 0xe4ef2240, "");
SYMBOL_CRC(asoc_sdw_card_late_probe, 0x4a7bbdb1, "");
SYMBOL_CRC(asoc_sdw_init_dai_link, 0x8be4e57c, "");
SYMBOL_CRC(asoc_sdw_init_simple_dai_link, 0x84e3c8eb, "");
SYMBOL_CRC(asoc_sdw_count_sdw_endpoints, 0xfdb89933, "");
SYMBOL_CRC(asoc_sdw_find_dailink, 0x2bed0fe8, "");
SYMBOL_CRC(asoc_sdw_parse_sdw_endpoints, 0xf6eb35e0, "");
SYMBOL_CRC(asoc_sdw_dmic_init, 0xfe17e259, "");
SYMBOL_CRC(asoc_sdw_rt_dmic_rtd_init, 0xe4cf9480, "");
SYMBOL_CRC(asoc_sdw_rt700_rtd_init, 0x92c9ae38, "");
SYMBOL_CRC(asoc_sdw_rt711_rtd_init, 0xf881d760, "");
SYMBOL_CRC(asoc_sdw_rt711_exit, 0x1c4e7ceb, "");
SYMBOL_CRC(asoc_sdw_rt711_init, 0x59d3e0d7, "");
SYMBOL_CRC(asoc_sdw_rt5682_rtd_init, 0x18043426, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_rtd_init, 0x25221e17, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_exit, 0xbc8b33df, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_init, 0xb48f826c, "");
SYMBOL_CRC(asoc_sdw_rt_amp_spk_rtd_init, 0x7f6e973e, "");
SYMBOL_CRC(soc_sdw_rt1308_i2s_ops, 0x934892f9, "");
SYMBOL_CRC(asoc_sdw_rt_amp_exit, 0xd69ee8c2, "");
SYMBOL_CRC(asoc_sdw_rt_amp_init, 0x7b4a5d25, "");
SYMBOL_CRC(asoc_sdw_rt_mf_sdca_spk_rtd_init, 0x84308a1d, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_count_sidecar, 0xfa77c96d, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_add_sidecar, 0x5a6340d7, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_spk_init, 0x576549d3, "");
SYMBOL_CRC(asoc_sdw_cs42l42_rtd_init, 0xcbc065a2, "");
SYMBOL_CRC(asoc_sdw_cs42l43_hs_rtd_init, 0xf9162b7c, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_rtd_init, 0xf48c81b3, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_init, 0x52968fa3, "");
SYMBOL_CRC(asoc_sdw_cs42l43_dmic_rtd_init, 0xb3df0fec, "");
SYMBOL_CRC(asoc_sdw_cs_spk_rtd_init, 0x64ce3252, "");
SYMBOL_CRC(asoc_sdw_cs_amp_init, 0x6580771d, "");
SYMBOL_CRC(asoc_sdw_maxim_spk_rtd_init, 0x525e68e5, "");
SYMBOL_CRC(asoc_sdw_maxim_init, 0xf84392c5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x149c5a49, "snd_soc_dai_set_tdm_slot" },
	{ 0xd3c1dc08, "snd_soc_dapm_enable_pin" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x69acdf38, "memcpy" },
	{ 0x28268524, "snd_soc_dapm_disable_pin" },
	{ 0x33e6f592, "snd_soc_component_set_sysclk" },
	{ 0xf7e22da6, "snd_soc_dai_set_sysclk" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x593154a3, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x683bb77c, "snd_soc_component_set_jack" },
	{ 0xc961afeb, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71b71c88, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2f0ddd87, "fwnode_create_software_node" },
	{ 0x3dee3a04, "snd_soc_dapm_get_pin_switch" },
	{ 0x9542f962, "sdw_disable_stream" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x1b94a0c, "_dev_err" },
	{ 0x33114c6e, "bus_find_device" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6f95b16b, "sdw_shutdown_stream" },
	{ 0x3b0a8582, "sdw_startup_stream" },
	{ 0xa8156c84, "sdw_deprepare_stream" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd2dd38d8, "_dev_warn" },
	{ 0x60a59c50, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfec3a90b, "device_remove_software_node" },
	{ 0xbec12b34, "snd_jack_set_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6d22b9b5, "devm_kasprintf" },
	{ 0x85efa5df, "snd_soc_card_jack_new_pins" },
	{ 0x2b4b8deb, "snd_soc_dai_set_pll" },
	{ 0x6306e1d5, "snd_soc_dapm_new_controls" },
	{ 0x62705df3, "sdw_enable_stream" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6857c9fa, "snd_soc_dapm_put_pin_switch" },
	{ 0xe6d6661b, "device_match_name" },
	{ 0x86b1d667, "snd_soc_dapm_info_pin_switch" },
	{ 0x735d91d, "snd_soc_add_card_controls" },
	{ 0x341c088, "device_add_software_node" },
	{ 0xcf4d01b6, "sdw_prepare_stream" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xbb2d9d7, "sdw_bus_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3d9a2164, "devm_kmalloc" },
	{ 0x8ae113cf, "to_software_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd");


MODULE_INFO(srcversion, "66140113F3308BE7302AD98");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
